## arb 6.0.6

=== Makefile ===
# =============================================================== #
#                                                                 #
#   File      : Makefile                                          #
#                                                                 #
#   Institute of Microbiology (Technical University Munich)       #
#   http://www.arb-home.de/                                       #
#                                                                 #
# =============================================================== #

# -----------------------------------------------------
# The ARB Makefile is aware of the following defines:
#
# CC                    C compiler (should be defined by OS)
# CXX                   C++ compiler (should be defined by OS)
#
# BUILDHOST_64=0/1      1=>compile on 64 bit platform (defaults to ARB_64)
# DEVELOPER=name        special compilation (values: ANY,RELEASE,your name)
# OPENGL=0/1            whether OPENGL is available
#
# -----------------------------------------------------
# ARB Makefile and ARB source code are aware of the following defines:
#
# $(MACH)               name of the machine (LINUX or DARWIN; see config.makefile)
# DEBUG                 compiles the DEBUG sections
# DEBUG_GRAPHICS        all X-graphics are flushed immediately (for debugging)
# ARB_64=0/1            1=>compile 64 bit version
# UNIT_TESTS=0/1        1=>compile in unit tests and call them after build
# COVERAGE=0/1/2        compile in gcov support (useful together with UNIT_TESTS=1)
#                       0=no, 1+2=compile in, 1=show
# STABS=0/1             force stabs format? (0 = "use default format")
#
# -----------------------------------------------------
# The ARB source code is aware of the following defines:
#
# NDEBUG                doesn't compile the DEBUG sections
# DEVEL_$(DEVELOPER)    developer-dependent flag (enables you to have private sections in code)
#                       DEVELOPER='ANY' (default setting) will be ignored
#                       configurable in config.makefile
#
# -----------------------------------------------------
# Read configuration 
include config.makefile

# set defaults for variables commented out in config.makefile:
ifndef DARWIN
	DARWIN:=0
endif
ifndef LINUX
	LINUX:=0
endif
ifndef DEBIAN
	DEBIAN:=0
endif
ifndef REDHAT
	REDHAT:=0
endif
ifndef ARB_64
	ARB_64=1#default to 64bit
endif

# compiler settings:
ifneq ($(CC),use__A_CC__instead_of__CC)

A_CC:=$(CC)# compile C
A_CXX:=$(CXX)# compile C++

# uncomment to ensure no submakefile uses CC and CXX directly
override CC:=use__A_CC__instead_of__CC
override CXX:=use__A_CXX__instead_of__CXX

endif

export CC CXX A_CC A_CXX

ifeq ($(LD_LIBRARY_PATH),'')
LD_LIBRARY_PATH:=${ARBHOME}/lib
endif

ifeq ($(DARWIN),1)
LD_LIBRARY_PATH:=${ARBHOME}/lib
endif

# store LD_LIBRARY_PATH to circumvent SIP restrictions:
ARBBUILD_LIBRARY_PATH:=$(LD_LIBRARY_PATH)

FORCEMASK = umask 002
NODIR=--no-print-directory

SED:=$(ARBHOME)/SH/arb_sed
READLINK:=$(ARBHOME)/SH/arb_readlink

# ---------------------- compiler version detection

# supported gcc versions:
ALLOWED_gcc_VERSIONS=\
        4.3.1 4.3.2 4.3.3 4.3.4 \
        4.4.1       4.4.3       4.4.5 4.4.6  4.4.7 \
              4.5.2 \
        4.6.1 4.6.2 4.6.3 4.6.4 \
        4.7.1 4.7.2 4.7.3 \
  4.8.0 4.8.1 4.8.2 4.8.3 4.8.4 4.8.5 \
  4.9.0 4.9.1 4.9.2 4.9.3 4.9.4 \
  5.1.0 5.2.0 5.3.0 5.3.1 5.4.0 \
  6.1.0 \


# ----------------------

COMPILER_INFO:=$(shell SOURCE_TOOLS/arb_compiler_version.pl $(A_CXX))
COMPILER_NAME:=$(word 1,$(COMPILER_INFO))
COMPILER_VERSION:=$(word 2,$(COMPILER_INFO))

USE_CLANG:=0
ifneq ($(COMPILER_NAME),gcc)
 ifeq ($(COMPILER_NAME),clang)
  USE_CLANG:=1
 else
  $(error failed to detect COMPILER_NAME (got '$(COMPILER_NAME)', expected 'clang' or 'gcc'))
 endif
endif

ifeq ($(USE_CLANG),1)
# accept all clang versions:
ALLOWED_COMPILER_VERSIONS=$(COMPILER_VERSION)
else
ALLOWED_COMPILER_VERSIONS=$(ALLOWED_gcc_VERSIONS)
endif

COMPILER_VERSION_ALLOWED=$(strip $(subst ___,,$(foreach version,$(ALLOWED_COMPILER_VERSIONS),$(findstring ___$(version)___,___$(COMPILER_VERSION)___))))

#---------------------- split gcc version 

SPLITTED_VERSION:=$(subst ., ,$(COMPILER_VERSION))

USE_GCC_MAJOR:=$(word 1,$(SPLITTED_VERSION))
USE_GCC_MINOR:=$(word 2,$(SPLITTED_VERSION))
USE_GCC_PATCHLEVEL:=$(word 3,$(SPLITTED_VERSION))

USE_GCC_452_OR_HIGHER:=
USE_GCC_47_OR_HIGHER:=
USE_GCC_48_OR_HIGHER:=

ifeq ($(USE_CLANG),0)
 ifeq ($(USE_GCC_MAJOR),4)
  ifeq ($(USE_GCC_MINOR),5)
   ifneq ('$(findstring $(USE_GCC_PATCHLEVEL),23456789)','')
    USE_GCC_452_OR_HIGHER:=yes
   endif
  else
   ifneq ('$(findstring $(USE_GCC_MINOR),6789)','')
    USE_GCC_452_OR_HIGHER:=yes
    ifneq ($(USE_GCC_MINOR),6)
     USE_GCC_47_OR_HIGHER:=yes
     ifneq ($(USE_GCC_MINOR),7)
      USE_GCC_48_OR_HIGHER:=yes
     endif
    endif
   endif
  endif
 else
  USE_GCC_452_OR_HIGHER:=yes
  USE_GCC_47_OR_HIGHER:=yes
  USE_GCC_48_OR_HIGHER:=yes
 endif
endif

#---------------------- define special directories for non standard builds

ifeq ($(DARWIN),1)
	OSX_FW:=/System/Library/Frameworks
	OSX_FW_OPENGL:=$(OSX_FW)/OpenGL.framework/Versions/A/Libraries
	OSX_FW_GLUT:=$(OSX_FW)/GLUT.framework/Versions/A/Libraries
	OSX_FW_IMAGEIO:=$(OSX_FW)/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources
endif

#----------------------

ifeq ($(DARWIN),1)
	LINK_STATIC=1# link static
else
	LINK_STATIC=0# link dynamically
#	LINK_STATIC=1# link static (testing only)
endif

shared_cflags :=# flags for shared lib compilation
lflags :=# linker flags
clflags :=# linker flags (when passed through gcc)
extended_warnings :=# warning flags for C and C++-compiler
extended_cpp_warnings :=# warning flags for C++-compiler only


ifeq ($(DEBUG),0)
	dflags := -DNDEBUG# defines
	ifeq ($(USE_CLANG),1)
		cflags := -O3# compiler flags (C and C++)
	else
		cflags := -O3# compiler flags (C and C++)
		lflags += -O2# linker flags
		clflags += -Wl,-O2# passthrough linker flags
	endif
endif

ifeq ($(DEBIAN),1)
	lflags += -rpath=/usr/lib/arb/lib -z relro
	clflags += -Wl,-rpath=/usr/lib/arb/lib -Wl,-z,relro
endif

ifeq ($(DEBUG),1)
	dflags := -DDEBUG

	gdb_common := -g -g3 -ggdb -ggdb3

ifeq ($(STABS),1)
	cflags := -O0  $(gdb_common) -gstabs+  # using stabs+ (enable this for bigger debug session: debugs inlines, quick var inspect, BUT valgrind stops working :/)
else
	cflags := -O0 $(gdb_common) # (using dwarf - cant debug inlines here, incredible slow on showing variable content)
endif

#	cflags := -O0 $(gdb_common) -gdwarf-3 # (specify explicit dwarf format)
#	cflags := -O0  $(gdb_common) -gstabs  # using stabs (same here IIRC)
#	cflags := -O2 $(gdb_common) # use this for callgrind (force inlining)

ifeq ($(DARWIN),0)
	lflags += -g
	clflags += -Wl,-g
endif

# control how much you get spammed
# (please do not change default in SVN, use developer specific setting as below)
	POST_COMPILE := 2>&1 | $(ARBHOME)/SOURCE_TOOLS/postcompile.pl
#	POST_COMPILE := 2>&1 | $(ARBHOME)/SOURCE_TOOLS/postcompile.pl --original# dont modify compiler output
#	POST_COMPILE := 2>&1 | $(ARBHOME)/SOURCE_TOOLS/postcompile.pl --hide-Noncopyable-advices
#	POST_COMPILE := 2>&1 | $(ARBHOME)/SOURCE_TOOLS/postcompile.pl --show-useless-Weff++
#	POST_COMPILE := 2>&1 | $(ARBHOME)/SOURCE_TOOLS/postcompile.pl --no-warnings
#	POST_COMPILE := 2>&1 | $(ARBHOME)/SOURCE_TOOLS/postcompile.pl --only-first-error
#	POST_COMPILE := 2>&1 | $(ARBHOME)/SOURCE_TOOLS/postcompile.pl --no-warnings --only-first-error
ifeq ($(DEVELOPER),ELMAR)
	POST_COMPILE := 2>&1 | $(ARBHOME)/SOURCE_TOOLS/postcompile.pl --only-first-error
endif


# Enable extra warnings
	extended_warnings :=
	extended_cpp_warnings :=

#       C and C++ 
	extended_warnings     += -Wwrite-strings -Wunused -Wno-aggregate-return -Wshadow

#       C++ only 
	extended_cpp_warnings += -Wnon-virtual-dtor -Wreorder -Wpointer-arith -Wdisabled-optimization -Wmissing-format-attribute
	extended_cpp_warnings += -Wctor-dtor-privacy# < gcc 3
# 	extended_cpp_warnings += -Wfloat-equal# gcc 3.0

# ------- above only warnings available in 3.0

 ifneq ('$(COMPILER_VERSION)','4.7.3') # g++ crashes on GenomeImport.cxx when -Weffc++ is active (bug reported)
	extended_cpp_warnings += -Weffc++# gcc 3.0.1
 endif
	extended_cpp_warnings += -Wmissing-noreturn# gcc 3.0.2
#	extended_cpp_warnings += -Wold-style-cast# gcc 3.0.4 (warn about 28405 old-style casts)
	extended_cpp_warnings += -Winit-self# gcc 3.4.0
	extended_cpp_warnings += -Wstrict-aliasing# gcc 3.4
	extended_cpp_warnings += -Wextra# gcc 3.4.0
 ifeq ('$(USE_GCC_452_OR_HIGHER)','yes')
	extended_cpp_warnings += -Wlogical-op# gcc 4.5.2
 endif

 ifeq ($(DEBUG_GRAPHICS),1)
	dflags += -DDEBUG_GRAPHICS
 endif
endif

#---------------------- turn off clang bogus warnings

ifeq ($(USE_CLANG),1)
# -Wmismatched-tags warns about struct/class mismatch in forward declarations (which is explicitely allowed)
# -Wchar-subscripts reports too many bogus warnings for "array['x']" (when 'x' is known to be in range [0..128])
# -Wunused-private-field report too many false positives (currently ~ 2 of 3)
# -Wstring-plus-int warns about common ARB coding practice
# -Wgnu-static-float-init warns about accepted GNU extension
	extended_cpp_warnings += -Wno-mismatched-tags -Wno-char-subscripts -Wno-unused-private-field -Wno-string-plus-int -Wno-gnu-static-float-init
endif

#---------------------- developer

ifneq ($(DEVELOPER),ANY) # ANY=default setting (skip all developer specific code)
	dflags += -DDEVEL_$(DEVELOPER)# activate developer/release specific code
endif

ifndef SHOWTODO
 ifeq ($(DEVELOPER),RALF)
	SHOWTODO:=1
 else
	SHOWTODO:=0
 endif
endif
ifeq ($(SHOWTODO),1)
	dflags += -DWARN_TODO# activate "TODO" warnings
endif

#---------------------- 32 or 64 bit

ifndef BUILDHOST_64
	BUILDHOST_64:=$(ARB_64)# assume build host is same as version (see config.makefile)
endif

cross_cflags:=
cross_lflags:=
cross_clflags:=

ifeq ($(ARB_64),1)
	dflags += -DARB_64 #-fPIC 
	shared_cflags += -fPIC

	ifeq ($(BUILDHOST_64),1)
#		build 64-bit ARB version on 64-bit host
		CROSS_LIB:=# empty = autodetect below
		ifeq ($(DARWIN),1)
			cross_cflags  += -arch x86_64
			cross_lflags  += -arch x86_64
			cross_clflags += -arch x86_64
		endif
	else
#		build 64-bit ARB version on 32-bit host
		CROSS_LIB:=/lib64
		cross_cflags += -m64
		cross_lflags += -m64 -m elf_x86_64
		cross_clflags += -m64 -Wl,-m64,-m,elf_x86_64
	endif
else
	ifeq ($(BUILDHOST_64),1)
#		build 32-bit ARB version on 64-bit host
		CROSS_LIB:=# empty = autodetect below
		cross_cflags += -m32
		cross_lflags += -m32 -m elf_i386 
		cross_clflags += -m32 -Wl,-m32,-m,elf_i386 
	else
#		build 32-bit ARB version on 32-bit host
		CROSS_LIB:=/lib
	endif
endif

cflags  += $(cross_cflags)
lflags  += $(cross_lflags)
clflags += $(cross_clflags)

ifeq ('$(CROSS_LIB)','')
# autodetect libdir
	ifeq ($(ARB_64),1)
		CROSS_LIB:=$(shell (test -d /lib64 && echo lib64) || echo lib)
	else
		CROSS_LIB:=$(shell (test -d /lib32 && echo lib32) || echo lib)
	endif
endif

#---------------------- unit tests

ifndef UNIT_TESTS
	UNIT_TESTS=0#default is "no tests"
endif
ifeq ($(UNIT_TESTS),1)
	dflags += -DUNIT_TESTS
	UNIT_TESTER_LIB=UNIT_TESTER/UNIT_TESTER.a
else
	UNIT_TESTER_LIB=
endif

#---------------------- use gcov

ifndef COVERAGE
	COVERAGE=0#default is "no"
endif
ifneq ($(COVERAGE),0)
	GCOVFLAGS=-ftest-coverage -fprofile-arcs
	cflags += $(GCOVFLAGS)
	EXECLIBS=-lgcov
else
	GCOVFLAGS=
	EXECLIBS=
endif

#---------------------- other flags

dflags += -D$(MACH) # define machine

ifeq ($(DARWIN),1)
	shared_cflags += -fno-common
else
	dflags +=  $(shell getconf LFS_CFLAGS)
endif

cflags += -pipe
cflags += -fmessage-length=0# don't wrap compiler output
cflags += -fshow-column# show columns
cflags += -funit-at-a-time
cflags += -fPIC
cflags += -fno-common# link all global data into one namespace
cflags += -fstrict-aliasing# gcc 3.4
ifeq ('$(USE_GCC_48_OR_HIGHER)','yes')
 cflags += -fno-diagnostics-show-caret#gcc 4.8 (4.7.?)
endif

=== AISC_MKPTPS/Makefile ===
# for variables passed from parent makefile see ../SOURCE_TOOLS/parent_make.txt

.SUFFIXES: .o .cxx .depend

OBJECTS = mkptypes.o
BINARY = aisc_mkpt

LOCAL_DEFINES=-DSIMPLE_ARB_ASSERT
LOCAL_MAKEDEPENDFLAGS=$(MAKEDEPENDFLAGS) $(LOCAL_DEFINES)

$(MAIN): $(BINARY)

$(BINARY): $(OBJECTS) $(use_ARB_main)
	$(LINK_EXECUTABLE) $@ $(use_ARB_main) $(OBJECTS) $(EXECLIBS)

.cxx.o:
	$(A_CXX) $(cflags) $(cxxflags) $(LOCAL_DEFINES) -c $< $(CXX_INCLUDES) $(POST_COMPILE)

clean:
	rm -f $(OBJECTS) $(BINARY)

#depends:
#	@echo "No depends here"

DEPENDS = $(OBJECTS:.o=.depend)
depends: $(DEPENDS)
	@cat $(DEPENDS) | grep -v '^#' >>Makefile
	@rm $(DEPENDS)
$(DEPENDS): depend.init
depend.init:
	$(MAKEDEPEND) $(LOCAL_MAKEDEPENDFLAGS) 2>/dev/null # remove dependencies
.cxx.depend:
	$(MAKEDEPEND) -f- $(LOCAL_MAKEDEPENDFLAGS) $< 2>/dev/null >$@


# DO NOT DELETE THIS LINE -- make depend depends on it.

# Do not add dependencies manually - use 'make depend' in $ARBHOME
# For formatting issues see SOURCE_TOOLS/fix_depends.pl (from main)

mkptypes.o: $(ARBHOME)/INCLUDE/arb_assert.h
mkptypes.o: $(ARBHOME)/INCLUDE/arb_early_check.h
mkptypes.o: $(ARBHOME)/INCLUDE/arb_simple_assert.h
mkptypes.o: $(ARBHOME)/INCLUDE/arbtools.h
mkptypes.o: $(ARBHOME)/INCLUDE/attributes.h
mkptypes.o: $(ARBHOME)/INCLUDE/cxxforward.h
mkptypes.o: $(ARBHOME)/INCLUDE/dupstr.h
mkptypes.o: $(ARBHOME)/INCLUDE/gccver.h
mkptypes.o: $(ARBHOME)/INCLUDE/static_assert.h
mkptypes.o: $(ARBHOME)/INCLUDE/test_global.h
mkptypes.o: $(ARBHOME)/INCLUDE/test_unit.h

=== ARB_GDE/Makefile ===
# for variables passed from parent makefile see ../SOURCE_TOOLS/parent_make.txt
.SUFFIXES: .o .cxx .depend

CPP_OBJECTS =   \
	GDE.o \
	GDE_FileIO.o \
	GDE_Genbank.o \
	GDE_HGLfile.o \
	GDE_ParseMenu.o \
	GDE_arbdb_io.o \
	GDE_event.o \
	GDE_global.o \

CPP_FILES=$(CPP_OBJECTS:.o=.cxx)

$(MAIN): $(CPP_OBJECTS)
	$(LINK_STATIC_LIB) $(MAIN) $(CPP_OBJECTS)
.cxx.o:
	$(A_CXX) $(cflags) $(cxxflags) -c $< $(CXX_INCLUDES) $(POST_COMPILE)

GDE_proto.h: $(CPP_FILES) Makefile
	$(MAKE) proto

proto:
	../AISC_MKPTPS/aisc_mkpt -P -G -E -w GDE_proto.h $(CPP_FILES) > GDE_proto.h.tmp
	../SOURCE_TOOLS/mv_if_diff GDE_proto.h.tmp GDE_proto.h

clean:
	rm -f $(CPP_OBJECTS) *.a 

DEPENDS = $(CPP_OBJECTS:.o=.depend)
depends: $(DEPENDS)
	@cat $(DEPENDS) | grep -v '^#' >>Makefile
	@rm $(DEPENDS)
$(DEPENDS): depend.init
depend.init:
	$(MAKEDEPEND) $(MAKEDEPENDFLAGS) 2>/dev/null # remove dependencies
.c.depend:
	$(MAKEDEPEND) -f- $(MAKEDEPENDFLAGS) $< 2>/dev/null >$@
.cxx.depend:
	$(MAKEDEPEND) -f- $(MAKEDEPENDFLAGS) $< 2>/dev/null >$@

# DO NOT DELETE THIS LINE -- make depend depends on it.

# Do not add dependencies manually - use 'make depend' in $ARBHOME
# For formatting issues see SOURCE_TOOLS/fix_depends.pl (from main)

GDE.o: gde.hxx
GDE.o: GDE_awars.h
GDE.o: GDE_def.h
GDE.o: GDE_extglob.h
GDE.o: GDE_menu.h
GDE.o: GDE_proto.h
GDE.o: $(ARBHOME)/INCLUDE/ad_prot.h
GDE.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
GDE.o: $(ARBHOME)/INCLUDE/arb_assert.h
GDE.o: $(ARBHOME)/INCLUDE/arb_core.h
GDE.o: $(ARBHOME)/INCLUDE/arb_error.h
GDE.o: $(ARBHOME)/INCLUDE/arb_msg.h
GDE.o: $(ARBHOME)/INCLUDE/arb_str.h
GDE.o: $(ARBHOME)/INCLUDE/arb_string.h
GDE.o: $(ARBHOME)/INCLUDE/arbdb.h
GDE.o: $(ARBHOME)/INCLUDE/arbdb_base.h
GDE.o: $(ARBHOME)/INCLUDE/arbdbt.h
GDE.o: $(ARBHOME)/INCLUDE/arbtools.h
GDE.o: $(ARBHOME)/INCLUDE/attributes.h
GDE.o: $(ARBHOME)/INCLUDE/aw_awar.hxx
GDE.o: $(ARBHOME)/INCLUDE/aw_awar_defs.hxx
GDE.o: $(ARBHOME)/INCLUDE/aw_base.hxx
GDE.o: $(ARBHOME)/INCLUDE/aw_file.hxx
GDE.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
GDE.o: $(ARBHOME)/INCLUDE/aw_msg.hxx
GDE.o: $(ARBHOME)/INCLUDE/aw_root.hxx
GDE.o: $(ARBHOME)/INCLUDE/aw_window.hxx
GDE.o: $(ARBHOME)/INCLUDE/awt_filter.hxx
GDE.o: $(ARBHOME)/INCLUDE/awt_sel_boxes.hxx
GDE.o: $(ARBHOME)/INCLUDE/cb.h
GDE.o: $(ARBHOME)/INCLUDE/cb_base.h
GDE.o: $(ARBHOME)/INCLUDE/cbtypes.h
GDE.o: $(ARBHOME)/INCLUDE/cxxforward.h
GDE.o: $(ARBHOME)/INCLUDE/downcast.h
GDE.o: $(ARBHOME)/INCLUDE/dupstr.h
GDE.o: $(ARBHOME)/INCLUDE/gccver.h
GDE.o: $(ARBHOME)/INCLUDE/smartptr.h
GDE.o: $(ARBHOME)/INCLUDE/static_assert.h
GDE.o: $(ARBHOME)/INCLUDE/test_global.h
GDE.o: $(ARBHOME)/INCLUDE/ttypes.h

GDE_arbdb_io.o: gde.hxx
GDE_arbdb_io.o: GDE_def.h
GDE_arbdb_io.o: GDE_extglob.h
GDE_arbdb_io.o: GDE_menu.h
GDE_arbdb_io.o: GDE_proto.h
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/ad_prot.h
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/AP_filter.hxx
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/arb_assert.h
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/arb_core.h
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/arb_error.h
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/arb_msg.h
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/arb_progress.h
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/arb_string.h
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/arbdb.h
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/arbdb_base.h
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/arbdbt.h
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/arbtools.h
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/attributes.h
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/aw_awar_defs.hxx
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/aw_base.hxx
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/aw_msg.hxx
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/AW_rename.hxx
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/cxxforward.h
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/downcast.h
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/dupstr.h
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/gccver.h
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/smartptr.h
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/static_assert.h
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/test_global.h

GDE_event.o: gde.hxx
GDE_event.o: GDE_awars.h
GDE_event.o: GDE_def.h
GDE_event.o: GDE_extglob.h
GDE_event.o: GDE_menu.h
GDE_event.o: GDE_proto.h
GDE_event.o: $(ARBHOME)/INCLUDE/ad_prot.h
GDE_event.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
GDE_event.o: $(ARBHOME)/INCLUDE/AP_filter.hxx
GDE_event.o: $(ARBHOME)/INCLUDE/arb_assert.h
GDE_event.o: $(ARBHOME)/INCLUDE/arb_core.h
GDE_event.o: $(ARBHOME)/INCLUDE/arb_error.h
GDE_event.o: $(ARBHOME)/INCLUDE/arb_msg.h
GDE_event.o: $(ARBHOME)/INCLUDE/arb_progress.h
GDE_event.o: $(ARBHOME)/INCLUDE/arb_string.h
GDE_event.o: $(ARBHOME)/INCLUDE/arbdb.h
GDE_event.o: $(ARBHOME)/INCLUDE/arbdb_base.h
GDE_event.o: $(ARBHOME)/INCLUDE/arbdbt.h
GDE_event.o: $(ARBHOME)/INCLUDE/arbtools.h
GDE_event.o: $(ARBHOME)/INCLUDE/attributes.h
GDE_event.o: $(ARBHOME)/INCLUDE/aw_awar.hxx
GDE_event.o: $(ARBHOME)/INCLUDE/aw_base.hxx
GDE_event.o: $(ARBHOME)/INCLUDE/aw_file.hxx
GDE_event.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
GDE_event.o: $(ARBHOME)/INCLUDE/aw_msg.hxx
GDE_event.o: $(ARBHOME)/INCLUDE/aw_question.hxx
GDE_event.o: $(ARBHOME)/INCLUDE/aw_root.hxx
GDE_event.o: $(ARBHOME)/INCLUDE/aw_window.hxx
GDE_event.o: $(ARBHOME)/INCLUDE/awt_filter.hxx
GDE_event.o: $(ARBHOME)/INCLUDE/cb.h
GDE_event.o: $(ARBHOME)/INCLUDE/cb_base.h
GDE_event.o: $(ARBHOME)/INCLUDE/cbtypes.h
GDE_event.o: $(ARBHOME)/INCLUDE/cxxforward.h
GDE_event.o: $(ARBHOME)/INCLUDE/downcast.h
GDE_event.o: $(ARBHOME)/INCLUDE/dupstr.h
GDE_event.o: $(ARBHOME)/INCLUDE/gccver.h
GDE_event.o: $(ARBHOME)/INCLUDE/smartptr.h
GDE_event.o: $(ARBHOME)/INCLUDE/static_assert.h
GDE_event.o: $(ARBHOME)/INCLUDE/test_global.h
GDE_event.o: $(ARBHOME)/INCLUDE/ttypes.h

GDE_FileIO.o: gde.hxx
GDE_FileIO.o: GDE_def.h
GDE_FileIO.o: GDE_extglob.h
GDE_FileIO.o: GDE_menu.h
GDE_FileIO.o: GDE_proto.h
GDE_FileIO.o: $(ARBHOME)/INCLUDE/ad_prot.h
GDE_FileIO.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
GDE_FileIO.o: $(ARBHOME)/INCLUDE/arb_assert.h
GDE_FileIO.o: $(ARBHOME)/INCLUDE/arb_core.h
GDE_FileIO.o: $(ARBHOME)/INCLUDE/arb_error.h
GDE_FileIO.o: $(ARBHOME)/INCLUDE/arb_msg.h
GDE_FileIO.o: $(ARBHOME)/INCLUDE/arb_string.h
GDE_FileIO.o: $(ARBHOME)/INCLUDE/arbdb.h
GDE_FileIO.o: $(ARBHOME)/INCLUDE/arbdb_base.h
GDE_FileIO.o: $(ARBHOME)/INCLUDE/arbdbt.h
GDE_FileIO.o: $(ARBHOME)/INCLUDE/arbtools.h
GDE_FileIO.o: $(ARBHOME)/INCLUDE/attributes.h
GDE_FileIO.o: $(ARBHOME)/INCLUDE/aw_base.hxx
GDE_FileIO.o: $(ARBHOME)/INCLUDE/aw_msg.hxx
GDE_FileIO.o: $(ARBHOME)/INCLUDE/cxxforward.h
GDE_FileIO.o: $(ARBHOME)/INCLUDE/downcast.h
GDE_FileIO.o: $(ARBHOME)/INCLUDE/dupstr.h
GDE_FileIO.o: $(ARBHOME)/INCLUDE/gccver.h
GDE_FileIO.o: $(ARBHOME)/INCLUDE/smartptr.h
GDE_FileIO.o: $(ARBHOME)/INCLUDE/static_assert.h
GDE_FileIO.o: $(ARBHOME)/INCLUDE/test_global.h

GDE_Genbank.o: gde.hxx
GDE_Genbank.o: GDE_def.h
GDE_Genbank.o: GDE_extglob.h
GDE_Genbank.o: GDE_menu.h
GDE_Genbank.o: GDE_proto.h
GDE_Genbank.o: $(ARBHOME)/INCLUDE/ad_prot.h
GDE_Genbank.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
GDE_Genbank.o: $(ARBHOME)/INCLUDE/arb_assert.h
GDE_Genbank.o: $(ARBHOME)/INCLUDE/arb_core.h
GDE_Genbank.o: $(ARBHOME)/INCLUDE/arb_error.h
GDE_Genbank.o: $(ARBHOME)/INCLUDE/arb_msg.h
GDE_Genbank.o: $(ARBHOME)/INCLUDE/arb_string.h
GDE_Genbank.o: $(ARBHOME)/INCLUDE/arbdb.h
GDE_Genbank.o: $(ARBHOME)/INCLUDE/arbdb_base.h
GDE_Genbank.o: $(ARBHOME)/INCLUDE/arbdbt.h
GDE_Genbank.o: $(ARBHOME)/INCLUDE/arbtools.h
GDE_Genbank.o: $(ARBHOME)/INCLUDE/attributes.h
GDE_Genbank.o: $(ARBHOME)/INCLUDE/aw_base.hxx
GDE_Genbank.o: $(ARBHOME)/INCLUDE/cxxforward.h
GDE_Genbank.o: $(ARBHOME)/INCLUDE/downcast.h
GDE_Genbank.o: $(ARBHOME)/INCLUDE/dupstr.h
GDE_Genbank.o: $(ARBHOME)/INCLUDE/gccver.h
GDE_Genbank.o: $(ARBHOME)/INCLUDE/smartptr.h
GDE_Genbank.o: $(ARBHOME)/INCLUDE/static_assert.h
GDE_Genbank.o: $(ARBHOME)/INCLUDE/test_global.h

GDE_global.o: gde.hxx
GDE_global.o: GDE_def.h
GDE_global.o: GDE_extglob.h
GDE_global.o: GDE_menu.h
GDE_global.o: GDE_proto.h
GDE_global.o: $(ARBHOME)/INCLUDE/ad_prot.h
GDE_global.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
GDE_global.o: $(ARBHOME)/INCLUDE/arb_assert.h
GDE_global.o: $(ARBHOME)/INCLUDE/arb_core.h
GDE_global.o: $(ARBHOME)/INCLUDE/arb_error.h
GDE_global.o: $(ARBHOME)/INCLUDE/arb_msg.h
GDE_global.o: $(ARBHOME)/INCLUDE/arb_string.h
GDE_global.o: $(ARBHOME)/INCLUDE/arbdb.h
GDE_global.o: $(ARBHOME)/INCLUDE/arbdb_base.h
GDE_global.o: $(ARBHOME)/INCLUDE/arbdbt.h
GDE_global.o: $(ARBHOME)/INCLUDE/arbtools.h
GDE_global.o: $(ARBHOME)/INCLUDE/attributes.h
GDE_global.o: $(ARBHOME)/INCLUDE/aw_base.hxx
GDE_global.o: $(ARBHOME)/INCLUDE/cxxforward.h
GDE_global.o: $(ARBHOME)/INCLUDE/downcast.h
GDE_global.o: $(ARBHOME)/INCLUDE/dupstr.h
GDE_global.o: $(ARBHOME)/INCLUDE/gccver.h
GDE_global.o: $(ARBHOME)/INCLUDE/smartptr.h
GDE_global.o: $(ARBHOME)/INCLUDE/static_assert.h
GDE_global.o: $(ARBHOME)/INCLUDE/test_global.h

GDE_HGLfile.o: gde.hxx
GDE_HGLfile.o: GDE_def.h
GDE_HGLfile.o: GDE_extglob.h
GDE_HGLfile.o: GDE_menu.h
GDE_HGLfile.o: GDE_proto.h
GDE_HGLfile.o: $(ARBHOME)/INCLUDE/ad_prot.h
GDE_HGLfile.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
GDE_HGLfile.o: $(ARBHOME)/INCLUDE/arb_assert.h
GDE_HGLfile.o: $(ARBHOME)/INCLUDE/arb_core.h
GDE_HGLfile.o: $(ARBHOME)/INCLUDE/arb_error.h
GDE_HGLfile.o: $(ARBHOME)/INCLUDE/arb_msg.h
GDE_HGLfile.o: $(ARBHOME)/INCLUDE/arb_string.h
GDE_HGLfile.o: $(ARBHOME)/INCLUDE/arbdb.h
GDE_HGLfile.o: $(ARBHOME)/INCLUDE/arbdb_base.h
GDE_HGLfile.o: $(ARBHOME)/INCLUDE/arbdbt.h
GDE_HGLfile.o: $(ARBHOME)/INCLUDE/arbtools.h
GDE_HGLfile.o: $(ARBHOME)/INCLUDE/attributes.h
GDE_HGLfile.o: $(ARBHOME)/INCLUDE/aw_base.hxx
GDE_HGLfile.o: $(ARBHOME)/INCLUDE/cxxforward.h
GDE_HGLfile.o: $(ARBHOME)/INCLUDE/downcast.h
GDE_HGLfile.o: $(ARBHOME)/INCLUDE/dupstr.h
GDE_HGLfile.o: $(ARBHOME)/INCLUDE/gccver.h
GDE_HGLfile.o: $(ARBHOME)/INCLUDE/smartptr.h
GDE_HGLfile.o: $(ARBHOME)/INCLUDE/static_assert.h
GDE_HGLfile.o: $(ARBHOME)/INCLUDE/test_global.h

GDE_ParseMenu.o: gde.hxx
GDE_ParseMenu.o: GDE_def.h
GDE_ParseMenu.o: GDE_extglob.h
GDE_ParseMenu.o: GDE_menu.h
GDE_ParseMenu.o: GDE_proto.h
GDE_ParseMenu.o: $(ARBHOME)/INCLUDE/ad_prot.h
GDE_ParseMenu.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
GDE_ParseMenu.o: $(ARBHOME)/INCLUDE/arb_assert.h
GDE_ParseMenu.o: $(ARBHOME)/INCLUDE/arb_core.h
GDE_ParseMenu.o: $(ARBHOME)/INCLUDE/arb_error.h
GDE_ParseMenu.o: $(ARBHOME)/INCLUDE/arb_file.h
GDE_ParseMenu.o: $(ARBHOME)/INCLUDE/arb_msg.h
GDE_ParseMenu.o: $(ARBHOME)/INCLUDE/arb_strarray.h
GDE_ParseMenu.o: $(ARBHOME)/INCLUDE/arb_string.h
GDE_ParseMenu.o: $(ARBHOME)/INCLUDE/arbdb.h
GDE_ParseMenu.o: $(ARBHOME)/INCLUDE/arbdb_base.h
GDE_ParseMenu.o: $(ARBHOME)/INCLUDE/arbdbt.h
GDE_ParseMenu.o: $(ARBHOME)/INCLUDE/arbtools.h
GDE_ParseMenu.o: $(ARBHOME)/INCLUDE/attributes.h
GDE_ParseMenu.o: $(ARBHOME)/INCLUDE/aw_base.hxx
GDE_ParseMenu.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
GDE_ParseMenu.o: $(ARBHOME)/INCLUDE/aw_window.hxx
GDE_ParseMenu.o: $(ARBHOME)/INCLUDE/BufferedFileReader.h
GDE_ParseMenu.o: $(ARBHOME)/INCLUDE/cb.h
GDE_ParseMenu.o: $(ARBHOME)/INCLUDE/cb_base.h
GDE_ParseMenu.o: $(ARBHOME)/INCLUDE/cbtypes.h
GDE_ParseMenu.o: $(ARBHOME)/INCLUDE/cxxforward.h
GDE_ParseMenu.o: $(ARBHOME)/INCLUDE/downcast.h
GDE_ParseMenu.o: $(ARBHOME)/INCLUDE/dupstr.h
GDE_ParseMenu.o: $(ARBHOME)/INCLUDE/gccver.h
GDE_ParseMenu.o: $(ARBHOME)/INCLUDE/MultiFileReader.h
GDE_ParseMenu.o: $(ARBHOME)/INCLUDE/smartptr.h
GDE_ParseMenu.o: $(ARBHOME)/INCLUDE/static_assert.h
GDE_ParseMenu.o: $(ARBHOME)/INCLUDE/test_global.h
GDE_ParseMenu.o: $(ARBHOME)/INCLUDE/test_unit.h
GDE_ParseMenu.o: $(ARBHOME)/INCLUDE/ttypes.h

=== AWT/Makefile ===
# for variables passed from parent makefile see ../SOURCE_TOOLS/parent_make.txt

.SUFFIXES: .o .cxx .depend

SOURCES=$(wildcard *.cxx)
OBJECTS=$(subst .cxx,.o,$(SOURCES))

LIB_SHARED=../lib/$(MAIN:.a=).$(SHARED_LIB_SUFFIX)

# MAIN contains .a (instead of wanted .so). Translate via do_...-target
it: do_$(MAIN)

do_AWT.a:
	@echo "Error: MAIN='$(MAIN)' is set wrong"
	false

do_libAWT.a: $(LIB_SHARED)

$(LIB_SHARED): $(OBJECTS)
	$(LINK_SHARED_LIB) $(LIB_SHARED) $(OBJECTS)

.cxx.o:
	$(A_CXX) $(shared_cflags) $(cflags) $(cxxflags) -c $<  $(CXX_INCLUDES) $(POST_COMPILE)

clean:
	rm -f $(OBJECTS) *.a *.so

DEPENDS = $(OBJECTS:.o=.depend)
depends: $(DEPENDS)
	@cat $(DEPENDS) | grep -v '^#' >>Makefile
	@rm $(DEPENDS)
$(DEPENDS): depend.init
depend.init:
	$(MAKEDEPEND) $(MAKEDEPENDFLAGS) 2>/dev/null # remove dependencies
.cxx.depend:
	$(MAKEDEPEND) -f- $(MAKEDEPENDFLAGS) $< 2>/dev/null >$@

# DO NOT DELETE THIS LINE -- make depend depends on it.

# Do not add dependencies manually - use 'make depend' in $ARBHOME
# For formatting issues see SOURCE_TOOLS/fix_depends.pl (from main)

AWT_asciiprint.o: awt.hxx
AWT_asciiprint.o: awt_asciiprint.hxx
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/arb_core.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/arb_error.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/arb_msg.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/arb_string.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/arbdb.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/arbdbt.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/arbtools.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/aw_awar.hxx
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/aw_base.hxx
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/aw_msg.hxx
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/aw_question.hxx
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/aw_root.hxx
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/aw_window.hxx
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/cb.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/cb_base.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/cbtypes.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/cxxforward.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/downcast.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/dupstr.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/gccver.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/smartptr.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/static_assert.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/test_global.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/ttypes.h

AWT_attributes.o: awt_attributes.hxx
AWT_attributes.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_attributes.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_attributes.o: $(ARBHOME)/INCLUDE/arb_core.h
AWT_attributes.o: $(ARBHOME)/INCLUDE/arb_error.h
AWT_attributes.o: $(ARBHOME)/INCLUDE/arb_msg.h
AWT_attributes.o: $(ARBHOME)/INCLUDE/arb_string.h
AWT_attributes.o: $(ARBHOME)/INCLUDE/arbdb.h
AWT_attributes.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_attributes.o: $(ARBHOME)/INCLUDE/arbtools.h
AWT_attributes.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_attributes.o: $(ARBHOME)/INCLUDE/aw_base.hxx
AWT_attributes.o: $(ARBHOME)/INCLUDE/aw_color_groups.hxx
AWT_attributes.o: $(ARBHOME)/INCLUDE/cxxforward.h
AWT_attributes.o: $(ARBHOME)/INCLUDE/dupstr.h
AWT_attributes.o: $(ARBHOME)/INCLUDE/gccver.h
AWT_attributes.o: $(ARBHOME)/INCLUDE/smartptr.h
AWT_attributes.o: $(ARBHOME)/INCLUDE/test_global.h

AWT_canio.o: awt_canvas.hxx
AWT_canio.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_canio.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
AWT_canio.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_canio.o: $(ARBHOME)/INCLUDE/arb_core.h
AWT_canio.o: $(ARBHOME)/INCLUDE/arb_defs.h
AWT_canio.o: $(ARBHOME)/INCLUDE/arb_error.h
AWT_canio.o: $(ARBHOME)/INCLUDE/arb_file.h
AWT_canio.o: $(ARBHOME)/INCLUDE/arb_msg.h
AWT_canio.o: $(ARBHOME)/INCLUDE/arb_progress.h
AWT_canio.o: $(ARBHOME)/INCLUDE/arb_strbuf.h
AWT_canio.o: $(ARBHOME)/INCLUDE/arb_string.h
AWT_canio.o: $(ARBHOME)/INCLUDE/arbdb.h
AWT_canio.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_canio.o: $(ARBHOME)/INCLUDE/arbdbt.h
AWT_canio.o: $(ARBHOME)/INCLUDE/arbtools.h
AWT_canio.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_canio.o: $(ARBHOME)/INCLUDE/aw_awar.hxx
AWT_canio.o: $(ARBHOME)/INCLUDE/aw_base.hxx
AWT_canio.o: $(ARBHOME)/INCLUDE/aw_device.hxx
AWT_canio.o: $(ARBHOME)/INCLUDE/aw_device_click.hxx
AWT_canio.o: $(ARBHOME)/INCLUDE/aw_file.hxx
AWT_canio.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
AWT_canio.o: $(ARBHOME)/INCLUDE/aw_msg.hxx
AWT_canio.o: $(ARBHOME)/INCLUDE/aw_position.hxx
AWT_canio.o: $(ARBHOME)/INCLUDE/aw_root.hxx
AWT_canio.o: $(ARBHOME)/INCLUDE/aw_window.hxx
AWT_canio.o: $(ARBHOME)/INCLUDE/cb.h
AWT_canio.o: $(ARBHOME)/INCLUDE/cb_base.h
AWT_canio.o: $(ARBHOME)/INCLUDE/cbtypes.h
AWT_canio.o: $(ARBHOME)/INCLUDE/cxxforward.h
AWT_canio.o: $(ARBHOME)/INCLUDE/downcast.h
AWT_canio.o: $(ARBHOME)/INCLUDE/dupstr.h
AWT_canio.o: $(ARBHOME)/INCLUDE/gccver.h
AWT_canio.o: $(ARBHOME)/INCLUDE/smartptr.h
AWT_canio.o: $(ARBHOME)/INCLUDE/static_assert.h
AWT_canio.o: $(ARBHOME)/INCLUDE/test_global.h
AWT_canio.o: $(ARBHOME)/INCLUDE/ttypes.h

AWT_canvas.o: awt.hxx
AWT_canvas.o: awt_canvas.hxx
AWT_canvas.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/arb_core.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/arb_error.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/arb_msg.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/arb_string.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/arbdb.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/arbdbt.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/arbtools.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/aw_base.hxx
AWT_canvas.o: $(ARBHOME)/INCLUDE/aw_device.hxx
AWT_canvas.o: $(ARBHOME)/INCLUDE/aw_device_click.hxx
AWT_canvas.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
AWT_canvas.o: $(ARBHOME)/INCLUDE/aw_msg.hxx
AWT_canvas.o: $(ARBHOME)/INCLUDE/aw_position.hxx
AWT_canvas.o: $(ARBHOME)/INCLUDE/aw_root.hxx
AWT_canvas.o: $(ARBHOME)/INCLUDE/aw_window.hxx
AWT_canvas.o: $(ARBHOME)/INCLUDE/cb.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/cb_base.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/cbtypes.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/cxxforward.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/downcast.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/dupstr.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/gccver.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/smartptr.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/static_assert.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/test_global.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/ttypes.h

AWT_config_manager.o: awt.hxx
AWT_config_manager.o: awt_config_manager.hxx
AWT_config_manager.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/arb_core.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/arb_error.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/arb_msg.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/arb_strarray.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/arb_string.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/arbdb.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/arbtools.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/aw_awar.hxx
AWT_config_manager.o: $(ARBHOME)/INCLUDE/aw_base.hxx
AWT_config_manager.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
AWT_config_manager.o: $(ARBHOME)/INCLUDE/aw_msg.hxx
AWT_config_manager.o: $(ARBHOME)/INCLUDE/aw_question.hxx
AWT_config_manager.o: $(ARBHOME)/INCLUDE/aw_root.hxx
AWT_config_manager.o: $(ARBHOME)/INCLUDE/aw_window.hxx
AWT_config_manager.o: $(ARBHOME)/INCLUDE/cb.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/cb_base.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/cbtypes.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/cxxforward.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/dupstr.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/gccver.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/smartptr.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/static_assert.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/test_global.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/ttypes.h

AWT_db_browser.o: awt.hxx
AWT_db_browser.o: awt_hexdump.hxx
AWT_db_browser.o: $(ARBHOME)/INCLUDE/ad_cb.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/ad_cb_prot.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/arb_core.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/arb_diff.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/arb_error.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/arb_file.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/arb_misc.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/arb_msg.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/arb_str.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/arb_strarray.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/arb_strbuf.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/arb_string.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/arbdb.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/arbtools.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/aw_advice.hxx
AWT_db_browser.o: $(ARBHOME)/INCLUDE/aw_awar.hxx
AWT_db_browser.o: $(ARBHOME)/INCLUDE/aw_base.hxx
AWT_db_browser.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
AWT_db_browser.o: $(ARBHOME)/INCLUDE/aw_msg.hxx
AWT_db_browser.o: $(ARBHOME)/INCLUDE/aw_root.hxx
AWT_db_browser.o: $(ARBHOME)/INCLUDE/aw_scalar.hxx
AWT_db_browser.o: $(ARBHOME)/INCLUDE/aw_select.hxx
AWT_db_browser.o: $(ARBHOME)/INCLUDE/aw_window.hxx
AWT_db_browser.o: $(ARBHOME)/INCLUDE/cb.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/cb_base.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/cbtypes.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/cxxforward.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/dupstr.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/gccver.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/smartptr.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/static_assert.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/test_global.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/ttypes.h

AWT_hexdump.o: awt.hxx
AWT_hexdump.o: awt_hexdump.hxx
AWT_hexdump.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_hexdump.o: $(ARBHOME)/INCLUDE/arb_core.h
AWT_hexdump.o: $(ARBHOME)/INCLUDE/arb_error.h
AWT_hexdump.o: $(ARBHOME)/INCLUDE/arb_strbuf.h
AWT_hexdump.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_hexdump.o: $(ARBHOME)/INCLUDE/arbtools.h
AWT_hexdump.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_hexdump.o: $(ARBHOME)/INCLUDE/aw_base.hxx
AWT_hexdump.o: $(ARBHOME)/INCLUDE/aw_root.hxx
AWT_hexdump.o: $(ARBHOME)/INCLUDE/cb.h
AWT_hexdump.o: $(ARBHOME)/INCLUDE/cb_base.h
AWT_hexdump.o: $(ARBHOME)/INCLUDE/cbtypes.h
AWT_hexdump.o: $(ARBHOME)/INCLUDE/cxxforward.h
AWT_hexdump.o: $(ARBHOME)/INCLUDE/dupstr.h
AWT_hexdump.o: $(ARBHOME)/INCLUDE/gccver.h
AWT_hexdump.o: $(ARBHOME)/INCLUDE/smartptr.h
AWT_hexdump.o: $(ARBHOME)/INCLUDE/static_assert.h
AWT_hexdump.o: $(ARBHOME)/INCLUDE/test_global.h
AWT_hexdump.o: $(ARBHOME)/INCLUDE/test_unit.h
AWT_hexdump.o: $(ARBHOME)/INCLUDE/ttypes.h

AWT_hotkeys.o: awt_hotkeys.hxx

AWT_input_mask.o: awt.hxx
AWT_input_mask.o: awt_hotkeys.hxx
AWT_input_mask.o: awt_input_mask.hxx
AWT_input_mask.o: awt_input_mask_internal.hxx
AWT_input_mask.o: awt_www.hxx
AWT_input_mask.o: $(ARBHOME)/INCLUDE/ad_cb.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/ad_cb_prot.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/arb_core.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/arb_error.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/arb_file.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/arb_msg.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/arb_string.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/arbdb.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/arbdbt.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/arbtools.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/aw_awar.hxx
AWT_input_mask.o: $(ARBHOME)/INCLUDE/aw_base.hxx

=== AWTI/Makefile ===
# for variables passed from parent makefile see ../SOURCE_TOOLS/parent_make.txt
.SUFFIXES: .o .cxx .depend

CPP_OBJECTS = \
	AWTI_import.o \
	AWTI_export.o \

$(MAIN): $(CPP_OBJECTS)
	$(LINK_STATIC_LIB) $(MAIN) $(CPP_OBJECTS)

.cxx.o:
	$(A_CXX) $(cflags) $(cxxflags) -c $<  $(CXX_INCLUDES) $(POST_COMPILE)

clean:
	rm -f $(CPP_OBJECTS) *.a

DEPENDS = $(CPP_OBJECTS:.o=.depend)
depends: $(DEPENDS)
	@cat $(DEPENDS) | grep -v '^#' >>Makefile
	@rm $(DEPENDS)
$(DEPENDS): depend.init
depend.init:
	$(MAKEDEPEND) $(MAKEDEPENDFLAGS) 2>/dev/null # remove dependencies
.c.depend:
	$(MAKEDEPEND) -f- $(MAKEDEPENDFLAGS) $< 2>/dev/null >$@
.cxx.depend:
	$(MAKEDEPEND) -f- $(MAKEDEPENDFLAGS) $< 2>/dev/null >$@

# DO NOT DELETE THIS LINE -- make depend depends on it.

# Do not add dependencies manually - use 'make depend' in $ARBHOME
# For formatting issues see SOURCE_TOOLS/fix_depends.pl (from main)

AWTI_export.o: awti_export.hxx
AWTI_export.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWTI_export.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
AWTI_export.o: $(ARBHOME)/INCLUDE/AP_filter.hxx
AWTI_export.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWTI_export.o: $(ARBHOME)/INCLUDE/arb_core.h
AWTI_export.o: $(ARBHOME)/INCLUDE/arb_error.h
AWTI_export.o: $(ARBHOME)/INCLUDE/arb_file.h
AWTI_export.o: $(ARBHOME)/INCLUDE/arb_msg.h
AWTI_export.o: $(ARBHOME)/INCLUDE/arb_progress.h
AWTI_export.o: $(ARBHOME)/INCLUDE/arb_str.h
AWTI_export.o: $(ARBHOME)/INCLUDE/arb_strbuf.h
AWTI_export.o: $(ARBHOME)/INCLUDE/arb_string.h
AWTI_export.o: $(ARBHOME)/INCLUDE/arbdb.h
AWTI_export.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWTI_export.o: $(ARBHOME)/INCLUDE/arbdbt.h
AWTI_export.o: $(ARBHOME)/INCLUDE/arbtools.h
AWTI_export.o: $(ARBHOME)/INCLUDE/attributes.h
AWTI_export.o: $(ARBHOME)/INCLUDE/aw_awar.hxx
AWTI_export.o: $(ARBHOME)/INCLUDE/aw_awar_defs.hxx
AWTI_export.o: $(ARBHOME)/INCLUDE/aw_awars.hxx
AWTI_export.o: $(ARBHOME)/INCLUDE/aw_base.hxx
AWTI_export.o: $(ARBHOME)/INCLUDE/aw_file.hxx
AWTI_export.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
AWTI_export.o: $(ARBHOME)/INCLUDE/aw_msg.hxx
AWTI_export.o: $(ARBHOME)/INCLUDE/aw_root.hxx
AWTI_export.o: $(ARBHOME)/INCLUDE/aw_window.hxx
AWTI_export.o: $(ARBHOME)/INCLUDE/awt_filter.hxx
AWTI_export.o: $(ARBHOME)/INCLUDE/cb.h
AWTI_export.o: $(ARBHOME)/INCLUDE/cb_base.h
AWTI_export.o: $(ARBHOME)/INCLUDE/cbtypes.h
AWTI_export.o: $(ARBHOME)/INCLUDE/cxxforward.h
AWTI_export.o: $(ARBHOME)/INCLUDE/downcast.h
AWTI_export.o: $(ARBHOME)/INCLUDE/dupstr.h
AWTI_export.o: $(ARBHOME)/INCLUDE/gccver.h
AWTI_export.o: $(ARBHOME)/INCLUDE/seqio.hxx
AWTI_export.o: $(ARBHOME)/INCLUDE/smartptr.h
AWTI_export.o: $(ARBHOME)/INCLUDE/static_assert.h
AWTI_export.o: $(ARBHOME)/INCLUDE/test_global.h
AWTI_export.o: $(ARBHOME)/INCLUDE/ttypes.h

AWTI_import.o: awti_imp_local.hxx
AWTI_import.o: awti_import.hxx
AWTI_import.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWTI_import.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
AWTI_import.o: $(ARBHOME)/INCLUDE/adGene.h
AWTI_import.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWTI_import.o: $(ARBHOME)/INCLUDE/arb_core.h
AWTI_import.o: $(ARBHOME)/INCLUDE/arb_error.h
AWTI_import.o: $(ARBHOME)/INCLUDE/arb_file.h
AWTI_import.o: $(ARBHOME)/INCLUDE/arb_msg.h
AWTI_import.o: $(ARBHOME)/INCLUDE/arb_progress.h
AWTI_import.o: $(ARBHOME)/INCLUDE/arb_str.h
AWTI_import.o: $(ARBHOME)/INCLUDE/arb_strarray.h
AWTI_import.o: $(ARBHOME)/INCLUDE/arb_strbuf.h
AWTI_import.o: $(ARBHOME)/INCLUDE/arb_string.h
AWTI_import.o: $(ARBHOME)/INCLUDE/arbdb.h
AWTI_import.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWTI_import.o: $(ARBHOME)/INCLUDE/arbdbt.h
AWTI_import.o: $(ARBHOME)/INCLUDE/arbtools.h
AWTI_import.o: $(ARBHOME)/INCLUDE/attributes.h
AWTI_import.o: $(ARBHOME)/INCLUDE/aw_advice.hxx
AWTI_import.o: $(ARBHOME)/INCLUDE/aw_awar.hxx
AWTI_import.o: $(ARBHOME)/INCLUDE/aw_base.hxx
AWTI_import.o: $(ARBHOME)/INCLUDE/aw_file.hxx
AWTI_import.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
AWTI_import.o: $(ARBHOME)/INCLUDE/aw_msg.hxx
AWTI_import.o: $(ARBHOME)/INCLUDE/aw_question.hxx
AWTI_import.o: $(ARBHOME)/INCLUDE/AW_rename.hxx
AWTI_import.o: $(ARBHOME)/INCLUDE/aw_root.hxx
AWTI_import.o: $(ARBHOME)/INCLUDE/aw_scalar.hxx
AWTI_import.o: $(ARBHOME)/INCLUDE/aw_select.hxx
AWTI_import.o: $(ARBHOME)/INCLUDE/aw_window.hxx
AWTI_import.o: $(ARBHOME)/INCLUDE/awt.hxx
AWTI_import.o: $(ARBHOME)/INCLUDE/cb.h
AWTI_import.o: $(ARBHOME)/INCLUDE/cb_base.h
AWTI_import.o: $(ARBHOME)/INCLUDE/cbtypes.h
AWTI_import.o: $(ARBHOME)/INCLUDE/cxxforward.h
AWTI_import.o: $(ARBHOME)/INCLUDE/downcast.h
AWTI_import.o: $(ARBHOME)/INCLUDE/dupstr.h
AWTI_import.o: $(ARBHOME)/INCLUDE/gccver.h
AWTI_import.o: $(ARBHOME)/INCLUDE/GEN.hxx
AWTI_import.o: $(ARBHOME)/INCLUDE/GenomeImport.h
AWTI_import.o: $(ARBHOME)/INCLUDE/item_sel_list.h
AWTI_import.o: $(ARBHOME)/INCLUDE/items.h
AWTI_import.o: $(ARBHOME)/INCLUDE/macros.hxx
AWTI_import.o: $(ARBHOME)/INCLUDE/seqio.hxx
AWTI_import.o: $(ARBHOME)/INCLUDE/smartptr.h
AWTI_import.o: $(ARBHOME)/INCLUDE/static_assert.h
AWTI_import.o: $(ARBHOME)/INCLUDE/test_global.h
AWTI_import.o: $(ARBHOME)/INCLUDE/ttypes.h

=== BINDINGS/Makefile ===
# Variables we get from main makefile:
# DFLAGS: -D statements => add to preprocessor flags
CPPFLAGS += $(DFLAGS)
# CXX_INCLUDES:  -I statemenmts => add to g++ flags
CXXFLAGS += $(CXX_INCLUDES)
# ARBDB_LIB: -l statements => add to LIBS
LIBS += $(ARBDB_LIB)
# LIBPATH: -L statements => add to LDLIBS
LDLIBS += $(LIBPATH)
CXX=$(A_CXX) $(cflags) $(cxxflags)
CXXFLAGS += -fpic
CFLAGS += -fpic


#LANGUAGES = PERL PYTHON R
LANGUAGES = PYTHON

PYTHONINSTALLPATH=$(ARBHOME)/lib/python2.6
PERLINSTALLPATH=$(ARBHOME)/lib/perl5

INCLUDES = -I$(ARBHOME)/BINDINGS
CXXFLAGS += $(INCLUDES)
CFLAGS += $(INCLUDES)

export CPPFLAGS CXXFLAGS CFLAGS LIBS LDLIBS CXX 

ifeq ($(UNIT_TESTS),1)
TARGETS = $(LANGUAGES:%=%-test)
else
TARGETS = $(LANGUAGES:%=%-build)
endif

all: $(TARGETS)

clean: $(LANGUAGES:%=%-clean)
	-rm -f ARB_oolayer.o

ARB_oolayer.o: ARB_oolayer.h ARB_oolayer.cpp

PYTHON-build: ARB.i PYTHON/ARB.i
	cd PYTHON; ./setup.py build
	cd PYTHON; ./setup.py install --install-lib $(PYTHONINSTALLPATH) 

PYTHON-test: PYTHON-build
	cd PYTHON; ./test.py

PYTHON-clean:
	cd PYTHON; ./setup.py clean
	-rm -rf PYTHON/build
	-rm -rf $(PYTHONINSTALLPATH)
	-rm -f PYTHON/ARB.py PYTHON/ARB_wrap.cpp

PYTHON-test:



PERL-build: PERL/Makefile PERL/ARB_wrap.cpp
	$(MAKE) -C PERL install

PERL-clean: PERL/Makefile
	$(MAKE) -C PERL clean
	-rm -f PERL/Makefile.old PERL/ARB_wrap.cxx 
	-rm -rf $(PERLINSTALLPATH)

PERL/Makefile: PERL/Makefile.PL
	cd PERL; perl Makefile.PL

PERL/ARB_wrap.cxx: ARB.i PERL/ARB.i
	cd PERL; swig -c++ -perl ARB.i

=== CONSENSUS_TREE/Makefile ===
.SUFFIXES: .o .cxx .depend

OBJS = CT_part.o CT_hash.o CT_ntree.o CT_rbtree.o CT_dtree.o CT_ctree.o CT_mem.o

$(MAIN): $(OBJS)
	$(LINK_STATIC_LIB) $(MAIN) $(OBJS)

.cxx.o:
	$(A_CXX) $(cflags) $(cxxflags) -c $< $(CXX_INCLUDES) $(POST_COMPILE)
clean:
	rm -f $(OBJS) *.a

DEPENDS = $(OBJS:.o=.depend)
depends: $(DEPENDS)
	@cat $(DEPENDS) | grep -v '^#' >>Makefile
	@rm $(DEPENDS)
$(DEPENDS): depend.init
depend.init:
	$(MAKEDEPEND) $(MAKEDEPENDFLAGS) 2>/dev/null # remove dependencies
.c.depend:
	$(MAKEDEPEND) -f- $(MAKEDEPENDFLAGS) $< 2>/dev/null >$@
.cxx.depend:
	$(MAKEDEPEND) -f- $(MAKEDEPENDFLAGS) $< 2>/dev/null >$@

# DO NOT DELETE THIS LINE -- make depend depends on it.

# Do not add dependencies manually - use 'make depend' in $ARBHOME
# For formatting issues see SOURCE_TOOLS/fix_depends.pl (from main)

CT_ctree.o: CT_ctree.hxx
CT_ctree.o: CT_def.hxx
CT_ctree.o: CT_hash.hxx
CT_ctree.o: CT_mem.hxx
CT_ctree.o: CT_ntree.hxx
CT_ctree.o: CT_part.hxx
CT_ctree.o: $(ARBHOME)/INCLUDE/ad_prot.h
CT_ctree.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
CT_ctree.o: $(ARBHOME)/INCLUDE/arb_assert.h
CT_ctree.o: $(ARBHOME)/INCLUDE/arb_core.h
CT_ctree.o: $(ARBHOME)/INCLUDE/arb_error.h
CT_ctree.o: $(ARBHOME)/INCLUDE/arb_msg.h
CT_ctree.o: $(ARBHOME)/INCLUDE/arb_progress.h
CT_ctree.o: $(ARBHOME)/INCLUDE/arb_strarray.h
CT_ctree.o: $(ARBHOME)/INCLUDE/arb_strbuf.h
CT_ctree.o: $(ARBHOME)/INCLUDE/arb_string.h
CT_ctree.o: $(ARBHOME)/INCLUDE/arbdb.h
CT_ctree.o: $(ARBHOME)/INCLUDE/arbdb_base.h
CT_ctree.o: $(ARBHOME)/INCLUDE/arbdbt.h
CT_ctree.o: $(ARBHOME)/INCLUDE/arbtools.h
CT_ctree.o: $(ARBHOME)/INCLUDE/attributes.h
CT_ctree.o: $(ARBHOME)/INCLUDE/cxxforward.h
CT_ctree.o: $(ARBHOME)/INCLUDE/downcast.h
CT_ctree.o: $(ARBHOME)/INCLUDE/dupstr.h
CT_ctree.o: $(ARBHOME)/INCLUDE/gccver.h
CT_ctree.o: $(ARBHOME)/INCLUDE/RootedTree.h
CT_ctree.o: $(ARBHOME)/INCLUDE/smartptr.h
CT_ctree.o: $(ARBHOME)/INCLUDE/static_assert.h
CT_ctree.o: $(ARBHOME)/INCLUDE/test_global.h

CT_dtree.o: CT_ctree.hxx
CT_dtree.o: CT_def.hxx
CT_dtree.o: CT_hash.hxx
CT_dtree.o: CT_mem.hxx
CT_dtree.o: CT_part.hxx
CT_dtree.o: $(ARBHOME)/INCLUDE/ad_prot.h
CT_dtree.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
CT_dtree.o: $(ARBHOME)/INCLUDE/arb_assert.h
CT_dtree.o: $(ARBHOME)/INCLUDE/arb_core.h
CT_dtree.o: $(ARBHOME)/INCLUDE/arb_error.h
CT_dtree.o: $(ARBHOME)/INCLUDE/arb_msg.h
CT_dtree.o: $(ARBHOME)/INCLUDE/arb_progress.h
CT_dtree.o: $(ARBHOME)/INCLUDE/arb_strarray.h
CT_dtree.o: $(ARBHOME)/INCLUDE/arb_string.h
CT_dtree.o: $(ARBHOME)/INCLUDE/arbdb.h
CT_dtree.o: $(ARBHOME)/INCLUDE/arbdb_base.h
CT_dtree.o: $(ARBHOME)/INCLUDE/arbdbt.h
CT_dtree.o: $(ARBHOME)/INCLUDE/arbtools.h
CT_dtree.o: $(ARBHOME)/INCLUDE/attributes.h
CT_dtree.o: $(ARBHOME)/INCLUDE/cxxforward.h
CT_dtree.o: $(ARBHOME)/INCLUDE/downcast.h
CT_dtree.o: $(ARBHOME)/INCLUDE/dupstr.h
CT_dtree.o: $(ARBHOME)/INCLUDE/gccver.h
CT_dtree.o: $(ARBHOME)/INCLUDE/RootedTree.h
CT_dtree.o: $(ARBHOME)/INCLUDE/smartptr.h
CT_dtree.o: $(ARBHOME)/INCLUDE/static_assert.h
CT_dtree.o: $(ARBHOME)/INCLUDE/test_global.h

CT_hash.o: CT_ctree.hxx
CT_hash.o: CT_def.hxx
CT_hash.o: CT_hash.hxx
CT_hash.o: CT_mem.hxx
CT_hash.o: CT_ntree.hxx
CT_hash.o: CT_part.hxx
CT_hash.o: $(ARBHOME)/INCLUDE/ad_prot.h
CT_hash.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
CT_hash.o: $(ARBHOME)/INCLUDE/arb_assert.h
CT_hash.o: $(ARBHOME)/INCLUDE/arb_core.h
CT_hash.o: $(ARBHOME)/INCLUDE/arb_error.h
CT_hash.o: $(ARBHOME)/INCLUDE/arb_msg.h
CT_hash.o: $(ARBHOME)/INCLUDE/arb_progress.h
CT_hash.o: $(ARBHOME)/INCLUDE/arb_sort.h
CT_hash.o: $(ARBHOME)/INCLUDE/arb_strarray.h
CT_hash.o: $(ARBHOME)/INCLUDE/arb_string.h
CT_hash.o: $(ARBHOME)/INCLUDE/arbdb.h
CT_hash.o: $(ARBHOME)/INCLUDE/arbdb_base.h
CT_hash.o: $(ARBHOME)/INCLUDE/arbdbt.h
CT_hash.o: $(ARBHOME)/INCLUDE/arbtools.h
CT_hash.o: $(ARBHOME)/INCLUDE/attributes.h
CT_hash.o: $(ARBHOME)/INCLUDE/cxxforward.h
CT_hash.o: $(ARBHOME)/INCLUDE/downcast.h
CT_hash.o: $(ARBHOME)/INCLUDE/dupstr.h
CT_hash.o: $(ARBHOME)/INCLUDE/gccver.h
CT_hash.o: $(ARBHOME)/INCLUDE/RootedTree.h
CT_hash.o: $(ARBHOME)/INCLUDE/smartptr.h
CT_hash.o: $(ARBHOME)/INCLUDE/static_assert.h
CT_hash.o: $(ARBHOME)/INCLUDE/test_global.h

CT_ntree.o: CT_def.hxx
CT_ntree.o: CT_mem.hxx
CT_ntree.o: CT_ntree.hxx
CT_ntree.o: CT_part.hxx
CT_ntree.o: $(ARBHOME)/INCLUDE/ad_prot.h
CT_ntree.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
CT_ntree.o: $(ARBHOME)/INCLUDE/arb_assert.h
CT_ntree.o: $(ARBHOME)/INCLUDE/arb_core.h
CT_ntree.o: $(ARBHOME)/INCLUDE/arb_error.h
CT_ntree.o: $(ARBHOME)/INCLUDE/arb_msg.h
CT_ntree.o: $(ARBHOME)/INCLUDE/arb_string.h
CT_ntree.o: $(ARBHOME)/INCLUDE/arbdb.h
CT_ntree.o: $(ARBHOME)/INCLUDE/arbdb_base.h
CT_ntree.o: $(ARBHOME)/INCLUDE/arbdbt.h
CT_ntree.o: $(ARBHOME)/INCLUDE/arbtools.h
CT_ntree.o: $(ARBHOME)/INCLUDE/attributes.h
CT_ntree.o: $(ARBHOME)/INCLUDE/cxxforward.h
CT_ntree.o: $(ARBHOME)/INCLUDE/downcast.h
CT_ntree.o: $(ARBHOME)/INCLUDE/dupstr.h
CT_ntree.o: $(ARBHOME)/INCLUDE/gccver.h
CT_ntree.o: $(ARBHOME)/INCLUDE/smartptr.h
CT_ntree.o: $(ARBHOME)/INCLUDE/static_assert.h
CT_ntree.o: $(ARBHOME)/INCLUDE/test_global.h

CT_part.o: CT_def.hxx
CT_part.o: CT_mem.hxx
CT_part.o: CT_part.hxx
CT_part.o: $(ARBHOME)/INCLUDE/ad_prot.h
CT_part.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
CT_part.o: $(ARBHOME)/INCLUDE/arb_assert.h
CT_part.o: $(ARBHOME)/INCLUDE/arb_core.h
CT_part.o: $(ARBHOME)/INCLUDE/arb_error.h
CT_part.o: $(ARBHOME)/INCLUDE/arb_msg.h
CT_part.o: $(ARBHOME)/INCLUDE/arb_strarray.h
CT_part.o: $(ARBHOME)/INCLUDE/arb_string.h
CT_part.o: $(ARBHOME)/INCLUDE/arbdb.h
CT_part.o: $(ARBHOME)/INCLUDE/arbdb_base.h
CT_part.o: $(ARBHOME)/INCLUDE/arbdbt.h
CT_part.o: $(ARBHOME)/INCLUDE/arbtools.h
CT_part.o: $(ARBHOME)/INCLUDE/attributes.h
CT_part.o: $(ARBHOME)/INCLUDE/cxxforward.h
CT_part.o: $(ARBHOME)/INCLUDE/downcast.h
CT_part.o: $(ARBHOME)/INCLUDE/dupstr.h
CT_part.o: $(ARBHOME)/INCLUDE/gccver.h
CT_part.o: $(ARBHOME)/INCLUDE/smartptr.h
CT_part.o: $(ARBHOME)/INCLUDE/static_assert.h
CT_part.o: $(ARBHOME)/INCLUDE/test_global.h
CT_part.o: $(ARBHOME)/INCLUDE/test_unit.h

CT_rbtree.o: CT_ctree.hxx
CT_rbtree.o: CT_def.hxx
CT_rbtree.o: CT_mem.hxx
CT_rbtree.o: CT_ntree.hxx
CT_rbtree.o: CT_part.hxx
CT_rbtree.o: $(ARBHOME)/INCLUDE/ad_prot.h
CT_rbtree.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
CT_rbtree.o: $(ARBHOME)/INCLUDE/arb_assert.h
CT_rbtree.o: $(ARBHOME)/INCLUDE/arb_core.h
CT_rbtree.o: $(ARBHOME)/INCLUDE/arb_error.h
CT_rbtree.o: $(ARBHOME)/INCLUDE/arb_msg.h
CT_rbtree.o: $(ARBHOME)/INCLUDE/arb_progress.h
CT_rbtree.o: $(ARBHOME)/INCLUDE/arb_sort.h
CT_rbtree.o: $(ARBHOME)/INCLUDE/arb_strarray.h
CT_rbtree.o: $(ARBHOME)/INCLUDE/arb_string.h
CT_rbtree.o: $(ARBHOME)/INCLUDE/arbdb.h
CT_rbtree.o: $(ARBHOME)/INCLUDE/arbdb_base.h
CT_rbtree.o: $(ARBHOME)/INCLUDE/arbdbt.h
CT_rbtree.o: $(ARBHOME)/INCLUDE/arbtools.h
CT_rbtree.o: $(ARBHOME)/INCLUDE/attributes.h
CT_rbtree.o: $(ARBHOME)/INCLUDE/cxxforward.h
CT_rbtree.o: $(ARBHOME)/INCLUDE/downcast.h
CT_rbtree.o: $(ARBHOME)/INCLUDE/dupstr.h
CT_rbtree.o: $(ARBHOME)/INCLUDE/gccver.h
CT_rbtree.o: $(ARBHOME)/INCLUDE/RootedTree.h
CT_rbtree.o: $(ARBHOME)/INCLUDE/smartptr.h
CT_rbtree.o: $(ARBHOME)/INCLUDE/static_assert.h
CT_rbtree.o: $(ARBHOME)/INCLUDE/test_global.h

=== CORE/Makefile ===

.SUFFIXES: .o .cxx .depend .h .genh 

OBJECTS=$(subst .cxx,.o,$(wildcard *.cxx))

GENERATED_HEADERS= \
	arb_msg.h \
	arb_misc.h \
	arb_string.h \
	arb_signal.h \
	arb_file.h \
	arb_diff.h \
	arb_match.h \

LIB_SHARED=../lib/$(MAIN:.a=).$(SHARED_LIB_SUFFIX)

# MAIN contains .a (instead of wanted .so). Translate via do_...-target
it: do_$(MAIN)

do_CORE.a:
	@echo "Error: MAIN='$(MAIN)' is set wrong"
	false

do_libCORE.a: $(LIB_SHARED)

$(LIB_SHARED): $(OBJECTS)
	$(LINK_SHARED_LIB) $(LIB_SHARED) $(OBJECTS)

.cxx.o:
	$(A_CXX) $(shared_cflags) $(cflags) $(cxxflags) -c $< $(CXX_INCLUDES) $(POST_COMPILE)

.cxx.genh:
	../AISC_MKPTPS/aisc_mkpt -P -G -w $(subst .genh,.h,$@) $< > $@

%.genheader: %.genh
	../SOURCE_TOOLS/mv_if_diff $< $(subst .genheader,.h,$@)

proto: $(subst .h,.genheader,$(GENERATED_HEADERS))

clean:
	rm -f $(OBJECTS) *.a *.so

DEPENDS = $(OBJECTS:.o=.depend)
depends: $(DEPENDS)
	@cat $(DEPENDS) | grep -v '^#' >>Makefile
	@rm $(DEPENDS)
$(DEPENDS): depend.init
depend.init:
	$(MAKEDEPEND) $(MAKEDEPENDFLAGS) 2>/dev/null # remove dependencies
.c.depend:
	$(MAKEDEPEND) -f- $(MAKEDEPENDFLAGS) $< 2>/dev/null >$@
.cxx.depend:
	$(MAKEDEPEND) -f- $(MAKEDEPENDFLAGS) $< 2>/dev/null >$@

# DO NOT DELETE THIS LINE -- make depend depends on it.

# Do not add dependencies manually - use 'make depend' in $ARBHOME
# For formatting issues see SOURCE_TOOLS/fix_depends.pl (from main)

arb_cs.o: arb_assert.h
arb_cs.o: arb_core.h
arb_cs.o: arb_cs.h
arb_cs.o: arb_msg.h
arb_cs.o: $(ARBHOME)/INCLUDE/arbtools.h
arb_cs.o: $(ARBHOME)/INCLUDE/attributes.h
arb_cs.o: $(ARBHOME)/INCLUDE/cxxforward.h
arb_cs.o: $(ARBHOME)/INCLUDE/dupstr.h
arb_cs.o: $(ARBHOME)/INCLUDE/gccver.h
arb_cs.o: $(ARBHOME)/INCLUDE/smartptr.h
arb_cs.o: $(ARBHOME)/INCLUDE/test_global.h

arb_diff.o: arb_assert.h
arb_diff.o: arb_core.h
arb_diff.o: arb_diff.h
arb_diff.o: arb_file.h
arb_diff.o: arb_match.h
arb_diff.o: arb_msg.h
arb_diff.o: arb_string.h
arb_diff.o: $(ARBHOME)/INCLUDE/arb_str.h
arb_diff.o: $(ARBHOME)/INCLUDE/arbtools.h
arb_diff.o: $(ARBHOME)/INCLUDE/attributes.h
arb_diff.o: $(ARBHOME)/INCLUDE/cxxforward.h
arb_diff.o: $(ARBHOME)/INCLUDE/dupstr.h
arb_diff.o: $(ARBHOME)/INCLUDE/gccver.h
arb_diff.o: $(ARBHOME)/INCLUDE/test_global.h
arb_diff.o: $(ARBHOME)/INCLUDE/test_unit.h

arb_file.o: arb_assert.h
arb_file.o: arb_core.h
arb_file.o: arb_file.h
arb_file.o: arb_msg.h
arb_file.o: $(ARBHOME)/INCLUDE/arbtools.h
arb_file.o: $(ARBHOME)/INCLUDE/attributes.h
arb_file.o: $(ARBHOME)/INCLUDE/cxxforward.h
arb_file.o: $(ARBHOME)/INCLUDE/dupstr.h
arb_file.o: $(ARBHOME)/INCLUDE/gccver.h
arb_file.o: $(ARBHOME)/INCLUDE/test_global.h
arb_file.o: $(ARBHOME)/INCLUDE/test_unit.h

arb_handlers.o: arb_assert.h
arb_handlers.o: arb_core.h
arb_handlers.o: arb_handlers.h
arb_handlers.o: arb_misc.h
arb_handlers.o: arb_msg.h
arb_handlers.o: $(ARBHOME)/INCLUDE/arb_algo.h
arb_handlers.o: $(ARBHOME)/INCLUDE/arbtools.h
arb_handlers.o: $(ARBHOME)/INCLUDE/attributes.h
arb_handlers.o: $(ARBHOME)/INCLUDE/cxxforward.h
arb_handlers.o: $(ARBHOME)/INCLUDE/dupstr.h
arb_handlers.o: $(ARBHOME)/INCLUDE/gccver.h
arb_handlers.o: $(ARBHOME)/INCLUDE/smartptr.h
arb_handlers.o: $(ARBHOME)/INCLUDE/test_global.h

arb_match.o: arb_assert.h
arb_match.o: arb_core.h
arb_match.o: arb_match.h
arb_match.o: arb_msg.h
arb_match.o: arb_strbuf.h
arb_match.o: arb_string.h
arb_match.o: $(ARBHOME)/INCLUDE/arbtools.h
arb_match.o: $(ARBHOME)/INCLUDE/attributes.h
arb_match.o: $(ARBHOME)/INCLUDE/cxxforward.h
arb_match.o: $(ARBHOME)/INCLUDE/dupstr.h
arb_match.o: $(ARBHOME)/INCLUDE/gccver.h
arb_match.o: $(ARBHOME)/INCLUDE/test_global.h

arb_misc.o: arb_assert.h
arb_misc.o: arb_core.h
arb_misc.o: arb_misc.h
arb_misc.o: arb_msg.h
arb_misc.o: $(ARBHOME)/INCLUDE/attributes.h
arb_misc.o: $(ARBHOME)/INCLUDE/dupstr.h
arb_misc.o: $(ARBHOME)/INCLUDE/gccver.h
arb_misc.o: $(ARBHOME)/INCLUDE/test_global.h

arb_msg.o: arb_assert.h
arb_msg.o: arb_core.h
arb_msg.o: arb_handlers.h
arb_msg.o: arb_msg.h
arb_msg.o: arb_msg_fwd.h
arb_msg.o: arb_string.h
arb_msg.o: $(ARBHOME)/INCLUDE/arb_backtrace.h
arb_msg.o: $(ARBHOME)/INCLUDE/arbtools.h
arb_msg.o: $(ARBHOME)/INCLUDE/attributes.h
arb_msg.o: $(ARBHOME)/INCLUDE/cxxforward.h
arb_msg.o: $(ARBHOME)/INCLUDE/dupstr.h
arb_msg.o: $(ARBHOME)/INCLUDE/gccver.h
arb_msg.o: $(ARBHOME)/INCLUDE/smartptr.h
arb_msg.o: $(ARBHOME)/INCLUDE/test_global.h

arb_progress.o: arb_assert.h
arb_progress.o: arb_core.h
arb_progress.o: arb_handlers.h
arb_progress.o: arb_msg.h
arb_progress.o: arb_progress.h
arb_progress.o: $(ARBHOME)/INCLUDE/arb_error.h
arb_progress.o: $(ARBHOME)/INCLUDE/arbtools.h
arb_progress.o: $(ARBHOME)/INCLUDE/attributes.h
arb_progress.o: $(ARBHOME)/INCLUDE/cxxforward.h
arb_progress.o: $(ARBHOME)/INCLUDE/dupstr.h
arb_progress.o: $(ARBHOME)/INCLUDE/gccver.h
arb_progress.o: $(ARBHOME)/INCLUDE/smartptr.h
arb_progress.o: $(ARBHOME)/INCLUDE/test_global.h

arb_signal.o: arb_assert.h
arb_signal.o: arb_core.h
arb_signal.o: arb_msg.h
arb_signal.o: arb_signal.h
arb_signal.o: $(ARBHOME)/INCLUDE/arb_backtrace.h
arb_signal.o: $(ARBHOME)/INCLUDE/arbtools.h
arb_signal.o: $(ARBHOME)/INCLUDE/attributes.h
arb_signal.o: $(ARBHOME)/INCLUDE/cxxforward.h
arb_signal.o: $(ARBHOME)/INCLUDE/dupstr.h
arb_signal.o: $(ARBHOME)/INCLUDE/gccver.h
arb_signal.o: $(ARBHOME)/INCLUDE/SigHandler.h
arb_signal.o: $(ARBHOME)/INCLUDE/SuppressOutput.h
arb_signal.o: $(ARBHOME)/INCLUDE/test_global.h
arb_signal.o: $(ARBHOME)/INCLUDE/test_unit.h
arb_signal.o: $(ARBHOME)/INCLUDE/valgrind.h

arb_sort.o: arb_sort.h

arb_strarray.o: arb_assert.h
arb_strarray.o: arb_core.h
arb_strarray.o: arb_sort.h
arb_strarray.o: arb_strarray.h
arb_strarray.o: arb_strbuf.h
arb_strarray.o: arb_string.h
arb_strarray.o: $(ARBHOME)/INCLUDE/arb_str.h
arb_strarray.o: $(ARBHOME)/INCLUDE/arbtools.h
arb_strarray.o: $(ARBHOME)/INCLUDE/attributes.h
arb_strarray.o: $(ARBHOME)/INCLUDE/cxxforward.h
arb_strarray.o: $(ARBHOME)/INCLUDE/dupstr.h
arb_strarray.o: $(ARBHOME)/INCLUDE/gccver.h
arb_strarray.o: $(ARBHOME)/INCLUDE/test_global.h
arb_strarray.o: $(ARBHOME)/INCLUDE/test_unit.h

arb_strbuf.o: arb_assert.h
arb_strbuf.o: arb_core.h
arb_strbuf.o: arb_strbuf.h
arb_strbuf.o: $(ARBHOME)/INCLUDE/arbtools.h
arb_strbuf.o: $(ARBHOME)/INCLUDE/attributes.h
arb_strbuf.o: $(ARBHOME)/INCLUDE/cxxforward.h
arb_strbuf.o: $(ARBHOME)/INCLUDE/dupstr.h
arb_strbuf.o: $(ARBHOME)/INCLUDE/gccver.h
arb_strbuf.o: $(ARBHOME)/INCLUDE/test_global.h

arb_string.o: arb_assert.h
arb_string.o: arb_core.h
arb_string.o: arb_string.h
arb_string.o: $(ARBHOME)/INCLUDE/arbtools.h
arb_string.o: $(ARBHOME)/INCLUDE/attributes.h
arb_string.o: $(ARBHOME)/INCLUDE/cxxforward.h
arb_string.o: $(ARBHOME)/INCLUDE/dupstr.h
arb_string.o: $(ARBHOME)/INCLUDE/gccver.h
arb_string.o: $(ARBHOME)/INCLUDE/test_global.h
arb_string.o: $(ARBHOME)/INCLUDE/test_unit.h

BufferedFileReader.o: arb_assert.h
BufferedFileReader.o: arb_core.h
BufferedFileReader.o: BufferedFileReader.h
BufferedFileReader.o: $(ARBHOME)/INCLUDE/arbtools.h
BufferedFileReader.o: $(ARBHOME)/INCLUDE/attributes.h
BufferedFileReader.o: $(ARBHOME)/INCLUDE/cxxforward.h
BufferedFileReader.o: $(ARBHOME)/INCLUDE/dupstr.h
BufferedFileReader.o: $(ARBHOME)/INCLUDE/gccver.h
BufferedFileReader.o: $(ARBHOME)/INCLUDE/smartptr.h
BufferedFileReader.o: $(ARBHOME)/INCLUDE/test_global.h

FileContent.o: arb_assert.h
FileContent.o: arb_core.h
FileContent.o: arb_file.h
FileContent.o: arb_msg.h
FileContent.o: arb_strarray.h
FileContent.o: arb_string.h
FileContent.o: BufferedFileReader.h
FileContent.o: FileContent.h
FileContent.o: $(ARBHOME)/INCLUDE/arbtools.h
FileContent.o: $(ARBHOME)/INCLUDE/attributes.h
FileContent.o: $(ARBHOME)/INCLUDE/cxxforward.h
FileContent.o: $(ARBHOME)/INCLUDE/dupstr.h
FileContent.o: $(ARBHOME)/INCLUDE/gccver.h
FileContent.o: $(ARBHOME)/INCLUDE/test_global.h
FileContent.o: $(ARBHOME)/INCLUDE/test_unit.h

MultiFileReader.o: arb_assert.h
MultiFileReader.o: arb_core.h
MultiFileReader.o: arb_msg.h
MultiFileReader.o: arb_strarray.h
MultiFileReader.o: BufferedFileReader.h
MultiFileReader.o: MultiFileReader.h
MultiFileReader.o: $(ARBHOME)/INCLUDE/arbtools.h
MultiFileReader.o: $(ARBHOME)/INCLUDE/attributes.h
MultiFileReader.o: $(ARBHOME)/INCLUDE/cxxforward.h
MultiFileReader.o: $(ARBHOME)/INCLUDE/dupstr.h
MultiFileReader.o: $(ARBHOME)/INCLUDE/gccver.h
MultiFileReader.o: $(ARBHOME)/INCLUDE/test_global.h
MultiFileReader.o: $(ARBHOME)/INCLUDE/test_unit.h

pos_range.o: arb_assert.h
pos_range.o: arb_core.h
pos_range.o: arb_msg.h
pos_range.o: pos_range.h
pos_range.o: $(ARBHOME)/INCLUDE/arbtools.h
pos_range.o: $(ARBHOME)/INCLUDE/attributes.h
pos_range.o: $(ARBHOME)/INCLUDE/cxxforward.h
pos_range.o: $(ARBHOME)/INCLUDE/dupstr.h
pos_range.o: $(ARBHOME)/INCLUDE/gccver.h
pos_range.o: $(ARBHOME)/INCLUDE/smartptr.h
pos_range.o: $(ARBHOME)/INCLUDE/test_global.h
pos_range.o: $(ARBHOME)/INCLUDE/test_unit.h

=== DBSERVER/Makefile ===
# for variables passed from parent makefile see ../SOURCE_TOOLS/parent_make.txt
.SUFFIXES: .o .c .cxx .depend
OBJECTS = db_server.o

$(MAIN): $(OBJECTS)
	$(LINK_STATIC_LIB) $(MAIN) $(OBJECTS)

.cxx.o:
	$(A_CXX) $(cflags) $(cxxflags) -c $< $(CXX_INCLUDES) $(POST_COMPILE)

clean:
	rm -f $(OBJECTS) *.a

DEPENDS = $(OBJECTS:.o=.depend)
depends: $(DEPENDS)
	@cat $(DEPENDS) | grep -v '^#' >>Makefile
	@rm $(DEPENDS)
$(DEPENDS): depend.init
depend.init:
	$(MAKEDEPEND) $(MAKEDEPENDFLAGS) 2>/dev/null # remove dependencies
.c.depend:
	$(MAKEDEPEND) -f- $(MAKEDEPENDFLAGS) $< 2>/dev/null >$@
.cxx.depend:
	$(MAKEDEPEND) -f- $(MAKEDEPENDFLAGS) $< 2>/dev/null >$@

# DO NOT DELETE THIS LINE -- make depend depends on it.

# Do not add dependencies manually - use 'make depend' in $ARBHOME
# For formatting issues see SOURCE_TOOLS/fix_depends.pl (from main)

db_server.o: $(ARBHOME)/INCLUDE/ad_cb.h
db_server.o: $(ARBHOME)/INCLUDE/ad_cb_prot.h
db_server.o: $(ARBHOME)/INCLUDE/ad_prot.h
db_server.o: $(ARBHOME)/INCLUDE/arb_assert.h
db_server.o: $(ARBHOME)/INCLUDE/arb_core.h
db_server.o: $(ARBHOME)/INCLUDE/arb_diff.h
db_server.o: $(ARBHOME)/INCLUDE/arb_error.h
db_server.o: $(ARBHOME)/INCLUDE/arb_file.h
db_server.o: $(ARBHOME)/INCLUDE/arb_msg.h
db_server.o: $(ARBHOME)/INCLUDE/arb_sleep.h
db_server.o: $(ARBHOME)/INCLUDE/arb_string.h
db_server.o: $(ARBHOME)/INCLUDE/arbdb.h
db_server.o: $(ARBHOME)/INCLUDE/arbdb_base.h
db_server.o: $(ARBHOME)/INCLUDE/arbtools.h
db_server.o: $(ARBHOME)/INCLUDE/attributes.h
db_server.o: $(ARBHOME)/INCLUDE/cb.h
db_server.o: $(ARBHOME)/INCLUDE/cb_base.h
db_server.o: $(ARBHOME)/INCLUDE/cbtypes.h
db_server.o: $(ARBHOME)/INCLUDE/cxxforward.h
db_server.o: $(ARBHOME)/INCLUDE/dupstr.h
db_server.o: $(ARBHOME)/INCLUDE/gccver.h
db_server.o: $(ARBHOME)/INCLUDE/servercntrl.h
db_server.o: $(ARBHOME)/INCLUDE/smartptr.h
db_server.o: $(ARBHOME)/INCLUDE/static_assert.h
db_server.o: $(ARBHOME)/INCLUDE/test_global.h
db_server.o: $(ARBHOME)/INCLUDE/test_unit.h
db_server.o: $(ARBHOME)/INCLUDE/ttypes.h
db_server.o: $(ARBHOME)/INCLUDE/ut_valgrinded.h

=== DIST/Makefile ===
# for variables passed from parent makefile see ../SOURCE_TOOLS/parent_make.txt

.SUFFIXES: .o .cxx .depend

CPP_OBJECTS = \
	DI_foundclusters.o \
	DI_clusters.o \
	DI_clustertree.o \
	DI_compress_matrix.o \
	DI_main.o \
	DI_matr.o \
	DI_protdist.o \
	DI_save_matr.o \
	DI_view_matrix.o \
	distanalyse.o \

$(MAIN): $(CPP_OBJECTS)
	$(LINK_STATIC_LIB) $(MAIN) $(CPP_OBJECTS)
.cxx.o:
	$(A_CXX) $(cflags) $(cxxflags) -c $<  $(CXX_INCLUDES) $(POST_COMPILE)

clean:
	rm -f $(CPP_OBJECTS) *.a

DEPENDS = $(CPP_OBJECTS:.o=.depend)
depends: $(DEPENDS)
	@cat $(DEPENDS) | grep -v '^#' >>Makefile
	@rm $(DEPENDS)
$(DEPENDS): depend.init
depend.init:
	$(MAKEDEPEND) $(MAKEDEPENDFLAGS) 2>/dev/null # remove dependencies
.c.depend:
	$(MAKEDEPEND) -f- $(MAKEDEPENDFLAGS) $< 2>/dev/null >$@
.cxx.depend:
	$(MAKEDEPEND) -f- $(MAKEDEPENDFLAGS) $< 2>/dev/null >$@

# DO NOT DELETE THIS LINE -- make depend depends on it.

# Do not add dependencies manually - use 'make depend' in $ARBHOME
# For formatting issues see SOURCE_TOOLS/fix_depends.pl (from main)

DI_clusters.o: di_awars.hxx
DI_clusters.o: di_clusters.hxx
DI_clusters.o: di_clustertree.hxx
DI_clusters.o: di_foundclusters.hxx
DI_clusters.o: $(ARBHOME)/INCLUDE/ad_prot.h
DI_clusters.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
DI_clusters.o: $(ARBHOME)/INCLUDE/AliView.hxx
DI_clusters.o: $(ARBHOME)/INCLUDE/AP_filter.hxx
DI_clusters.o: $(ARBHOME)/INCLUDE/AP_seq_dna.hxx
DI_clusters.o: $(ARBHOME)/INCLUDE/AP_seq_protein.hxx
DI_clusters.o: $(ARBHOME)/INCLUDE/AP_sequence.hxx
DI_clusters.o: $(ARBHOME)/INCLUDE/arb_assert.h
DI_clusters.o: $(ARBHOME)/INCLUDE/arb_core.h
DI_clusters.o: $(ARBHOME)/INCLUDE/arb_error.h
DI_clusters.o: $(ARBHOME)/INCLUDE/arb_msg.h
DI_clusters.o: $(ARBHOME)/INCLUDE/arb_progress.h
DI_clusters.o: $(ARBHOME)/INCLUDE/arb_string.h
DI_clusters.o: $(ARBHOME)/INCLUDE/ARB_Tree.hxx
DI_clusters.o: $(ARBHOME)/INCLUDE/arbdb.h
DI_clusters.o: $(ARBHOME)/INCLUDE/arbdb_base.h
DI_clusters.o: $(ARBHOME)/INCLUDE/arbdbt.h
DI_clusters.o: $(ARBHOME)/INCLUDE/arbtools.h
DI_clusters.o: $(ARBHOME)/INCLUDE/attributes.h
DI_clusters.o: $(ARBHOME)/INCLUDE/aw_awar.hxx
DI_clusters.o: $(ARBHOME)/INCLUDE/aw_awar_defs.hxx
DI_clusters.o: $(ARBHOME)/INCLUDE/aw_awars.hxx
DI_clusters.o: $(ARBHOME)/INCLUDE/aw_base.hxx
DI_clusters.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
DI_clusters.o: $(ARBHOME)/INCLUDE/aw_msg.hxx
DI_clusters.o: $(ARBHOME)/INCLUDE/aw_root.hxx
DI_clusters.o: $(ARBHOME)/INCLUDE/aw_window.hxx
DI_clusters.o: $(ARBHOME)/INCLUDE/awt_sel_boxes.hxx
DI_clusters.o: $(ARBHOME)/INCLUDE/cb.h
DI_clusters.o: $(ARBHOME)/INCLUDE/cb_base.h
DI_clusters.o: $(ARBHOME)/INCLUDE/cbtypes.h
DI_clusters.o: $(ARBHOME)/INCLUDE/cxxforward.h
DI_clusters.o: $(ARBHOME)/INCLUDE/dbitem_set.h
DI_clusters.o: $(ARBHOME)/INCLUDE/downcast.h
DI_clusters.o: $(ARBHOME)/INCLUDE/dupstr.h
DI_clusters.o: $(ARBHOME)/INCLUDE/gccver.h
DI_clusters.o: $(ARBHOME)/INCLUDE/gui_aliview.hxx
DI_clusters.o: $(ARBHOME)/INCLUDE/RootedTree.h
DI_clusters.o: $(ARBHOME)/INCLUDE/smartptr.h
DI_clusters.o: $(ARBHOME)/INCLUDE/static_assert.h
DI_clusters.o: $(ARBHOME)/INCLUDE/test_global.h
DI_clusters.o: $(ARBHOME)/INCLUDE/ttypes.h

DI_clustertree.o: di_clustertree.hxx
DI_clustertree.o: $(ARBHOME)/INCLUDE/ad_prot.h
DI_clustertree.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
DI_clustertree.o: $(ARBHOME)/INCLUDE/AliView.hxx
DI_clustertree.o: $(ARBHOME)/INCLUDE/AP_sequence.hxx
DI_clustertree.o: $(ARBHOME)/INCLUDE/arb_assert.h
DI_clustertree.o: $(ARBHOME)/INCLUDE/arb_core.h
DI_clustertree.o: $(ARBHOME)/INCLUDE/arb_error.h
DI_clustertree.o: $(ARBHOME)/INCLUDE/arb_msg.h
DI_clustertree.o: $(ARBHOME)/INCLUDE/arb_progress.h
DI_clustertree.o: $(ARBHOME)/INCLUDE/arb_string.h
DI_clustertree.o: $(ARBHOME)/INCLUDE/ARB_Tree.hxx
DI_clustertree.o: $(ARBHOME)/INCLUDE/arbdb.h
DI_clustertree.o: $(ARBHOME)/INCLUDE/arbdb_base.h
DI_clustertree.o: $(ARBHOME)/INCLUDE/arbdbt.h
DI_clustertree.o: $(ARBHOME)/INCLUDE/arbtools.h
DI_clustertree.o: $(ARBHOME)/INCLUDE/attributes.h
DI_clustertree.o: $(ARBHOME)/INCLUDE/cxxforward.h
DI_clustertree.o: $(ARBHOME)/INCLUDE/downcast.h
DI_clustertree.o: $(ARBHOME)/INCLUDE/dupstr.h
DI_clustertree.o: $(ARBHOME)/INCLUDE/gccver.h
DI_clustertree.o: $(ARBHOME)/INCLUDE/RootedTree.h
DI_clustertree.o: $(ARBHOME)/INCLUDE/smartptr.h
DI_clustertree.o: $(ARBHOME)/INCLUDE/static_assert.h
DI_clustertree.o: $(ARBHOME)/INCLUDE/test_global.h

DI_compress_matrix.o: di_matr.hxx
DI_compress_matrix.o: $(ARBHOME)/INCLUDE/ad_prot.h
DI_compress_matrix.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
DI_compress_matrix.o: $(ARBHOME)/INCLUDE/AliView.hxx
DI_compress_matrix.o: $(ARBHOME)/INCLUDE/AP_matrix.hxx
DI_compress_matrix.o: $(ARBHOME)/INCLUDE/AP_pro_a_nucs.hxx
DI_compress_matrix.o: $(ARBHOME)/INCLUDE/AP_sequence.hxx
DI_compress_matrix.o: $(ARBHOME)/INCLUDE/AP_Tree.hxx
DI_compress_matrix.o: $(ARBHOME)/INCLUDE/arb_assert.h
DI_compress_matrix.o: $(ARBHOME)/INCLUDE/arb_core.h
DI_compress_matrix.o: $(ARBHOME)/INCLUDE/arb_error.h
DI_compress_matrix.o: $(ARBHOME)/INCLUDE/arb_msg.h
DI_compress_matrix.o: $(ARBHOME)/INCLUDE/arb_string.h
DI_compress_matrix.o: $(ARBHOME)/INCLUDE/ARB_Tree.hxx
DI_compress_matrix.o: $(ARBHOME)/INCLUDE/arbdb.h
DI_compress_matrix.o: $(ARBHOME)/INCLUDE/arbdb_base.h
DI_compress_matrix.o: $(ARBHOME)/INCLUDE/arbdbt.h
DI_compress_matrix.o: $(ARBHOME)/INCLUDE/arbtools.h
DI_compress_matrix.o: $(ARBHOME)/INCLUDE/attributes.h
DI_compress_matrix.o: $(ARBHOME)/INCLUDE/aw_base.hxx
DI_compress_matrix.o: $(ARBHOME)/INCLUDE/aw_color_groups.hxx
DI_compress_matrix.o: $(ARBHOME)/INCLUDE/cxxforward.h
DI_compress_matrix.o: $(ARBHOME)/INCLUDE/downcast.h
DI_compress_matrix.o: $(ARBHOME)/INCLUDE/dupstr.h
DI_compress_matrix.o: $(ARBHOME)/INCLUDE/gccver.h
DI_compress_matrix.o: $(ARBHOME)/INCLUDE/RootedTree.h
DI_compress_matrix.o: $(ARBHOME)/INCLUDE/smartptr.h
DI_compress_matrix.o: $(ARBHOME)/INCLUDE/static_assert.h
DI_compress_matrix.o: $(ARBHOME)/INCLUDE/test_global.h

DI_foundclusters.o: di_clustertree.hxx
DI_foundclusters.o: di_foundclusters.hxx
DI_foundclusters.o: $(ARBHOME)/INCLUDE/ad_prot.h
DI_foundclusters.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
DI_foundclusters.o: $(ARBHOME)/INCLUDE/AliView.hxx
DI_foundclusters.o: $(ARBHOME)/INCLUDE/AP_sequence.hxx
DI_foundclusters.o: $(ARBHOME)/INCLUDE/arb_assert.h
DI_foundclusters.o: $(ARBHOME)/INCLUDE/arb_core.h
DI_foundclusters.o: $(ARBHOME)/INCLUDE/arb_error.h
DI_foundclusters.o: $(ARBHOME)/INCLUDE/arb_msg.h
DI_foundclusters.o: $(ARBHOME)/INCLUDE/arb_string.h
DI_foundclusters.o: $(ARBHOME)/INCLUDE/ARB_Tree.hxx
DI_foundclusters.o: $(ARBHOME)/INCLUDE/arbdb.h
DI_foundclusters.o: $(ARBHOME)/INCLUDE/arbdb_base.h
DI_foundclusters.o: $(ARBHOME)/INCLUDE/arbdbt.h
DI_foundclusters.o: $(ARBHOME)/INCLUDE/arbtools.h
DI_foundclusters.o: $(ARBHOME)/INCLUDE/attributes.h
DI_foundclusters.o: $(ARBHOME)/INCLUDE/aw_base.hxx
DI_foundclusters.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
DI_foundclusters.o: $(ARBHOME)/INCLUDE/aw_scalar.hxx
DI_foundclusters.o: $(ARBHOME)/INCLUDE/aw_select.hxx
DI_foundclusters.o: $(ARBHOME)/INCLUDE/aw_window.hxx
DI_foundclusters.o: $(ARBHOME)/INCLUDE/cb.h
DI_foundclusters.o: $(ARBHOME)/INCLUDE/cb_base.h
DI_foundclusters.o: $(ARBHOME)/INCLUDE/cbtypes.h
DI_foundclusters.o: $(ARBHOME)/INCLUDE/cxxforward.h
DI_foundclusters.o: $(ARBHOME)/INCLUDE/dbitem_set.h
DI_foundclusters.o: $(ARBHOME)/INCLUDE/downcast.h
DI_foundclusters.o: $(ARBHOME)/INCLUDE/dupstr.h
DI_foundclusters.o: $(ARBHOME)/INCLUDE/gccver.h
DI_foundclusters.o: $(ARBHOME)/INCLUDE/gui_aliview.hxx
DI_foundclusters.o: $(ARBHOME)/INCLUDE/RootedTree.h
DI_foundclusters.o: $(ARBHOME)/INCLUDE/smartptr.h
DI_foundclusters.o: $(ARBHOME)/INCLUDE/static_assert.h
DI_foundclusters.o: $(ARBHOME)/INCLUDE/test_global.h
DI_foundclusters.o: $(ARBHOME)/INCLUDE/ttypes.h

DI_main.o: $(ARBHOME)/INCLUDE/ad_prot.h
DI_main.o: $(ARBHOME)/INCLUDE/arb_assert.h
DI_main.o: $(ARBHOME)/INCLUDE/arb_core.h
DI_main.o: $(ARBHOME)/INCLUDE/arb_error.h
DI_main.o: $(ARBHOME)/INCLUDE/arb_msg.h
DI_main.o: $(ARBHOME)/INCLUDE/arb_string.h
DI_main.o: $(ARBHOME)/INCLUDE/arbdb.h
DI_main.o: $(ARBHOME)/INCLUDE/arbdb_base.h
DI_main.o: $(ARBHOME)/INCLUDE/arbtools.h
DI_main.o: $(ARBHOME)/INCLUDE/attributes.h
DI_main.o: $(ARBHOME)/INCLUDE/aw_base.hxx
DI_main.o: $(ARBHOME)/INCLUDE/aw_device.hxx
DI_main.o: $(ARBHOME)/INCLUDE/aw_device_click.hxx
DI_main.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
DI_main.o: $(ARBHOME)/INCLUDE/aw_msg.hxx
DI_main.o: $(ARBHOME)/INCLUDE/aw_position.hxx
DI_main.o: $(ARBHOME)/INCLUDE/aw_preset.hxx
DI_main.o: $(ARBHOME)/INCLUDE/aw_question.hxx
DI_main.o: $(ARBHOME)/INCLUDE/aw_root.hxx
DI_main.o: $(ARBHOME)/INCLUDE/aw_window.hxx
DI_main.o: $(ARBHOME)/INCLUDE/awt.hxx
DI_main.o: $(ARBHOME)/INCLUDE/awt_canvas.hxx
DI_main.o: $(ARBHOME)/INCLUDE/awt_TreeAwars.hxx
DI_main.o: $(ARBHOME)/INCLUDE/cb.h
DI_main.o: $(ARBHOME)/INCLUDE/cb_base.h
DI_main.o: $(ARBHOME)/INCLUDE/cbtypes.h
DI_main.o: $(ARBHOME)/INCLUDE/cxxforward.h
DI_main.o: $(ARBHOME)/INCLUDE/dupstr.h
DI_main.o: $(ARBHOME)/INCLUDE/gccver.h
DI_main.o: $(ARBHOME)/INCLUDE/macros.hxx
DI_main.o: $(ARBHOME)/INCLUDE/servercntrl.h
DI_main.o: $(ARBHOME)/INCLUDE/smartptr.h
DI_main.o: $(ARBHOME)/INCLUDE/static_assert.h
DI_main.o: $(ARBHOME)/INCLUDE/test_global.h
DI_main.o: $(ARBHOME)/INCLUDE/ttypes.h

DI_matr.o: di_awars.hxx
DI_matr.o: di_clusters.hxx
DI_matr.o: di_matr.hxx
DI_matr.o: di_protdist.hxx
DI_matr.o: di_view_matrix.hxx
DI_matr.o: dist.hxx
DI_matr.o: $(ARBHOME)/INCLUDE/ad_cb.h
DI_matr.o: $(ARBHOME)/INCLUDE/ad_cb_prot.h
DI_matr.o: $(ARBHOME)/INCLUDE/ad_prot.h
DI_matr.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
DI_matr.o: $(ARBHOME)/INCLUDE/AliView.hxx
DI_matr.o: $(ARBHOME)/INCLUDE/AP_filter.hxx
DI_matr.o: $(ARBHOME)/INCLUDE/AP_matrix.hxx
DI_matr.o: $(ARBHOME)/INCLUDE/AP_pro_a_nucs.hxx
DI_matr.o: $(ARBHOME)/INCLUDE/AP_seq_dna.hxx
DI_matr.o: $(ARBHOME)/INCLUDE/AP_seq_simple_pro.hxx
DI_matr.o: $(ARBHOME)/INCLUDE/AP_sequence.hxx
DI_matr.o: $(ARBHOME)/INCLUDE/AP_Tree.hxx
DI_matr.o: $(ARBHOME)/INCLUDE/arb_assert.h
DI_matr.o: $(ARBHOME)/INCLUDE/arb_core.h
DI_matr.o: $(ARBHOME)/INCLUDE/arb_defs.h
DI_matr.o: $(ARBHOME)/INCLUDE/arb_error.h
DI_matr.o: $(ARBHOME)/INCLUDE/arb_global_defs.h
DI_matr.o: $(ARBHOME)/INCLUDE/arb_msg.h
DI_matr.o: $(ARBHOME)/INCLUDE/arb_progress.h
DI_matr.o: $(ARBHOME)/INCLUDE/arb_sort.h
DI_matr.o: $(ARBHOME)/INCLUDE/arb_strarray.h
DI_matr.o: $(ARBHOME)/INCLUDE/arb_string.h
DI_matr.o: $(ARBHOME)/INCLUDE/ARB_Tree.hxx
DI_matr.o: $(ARBHOME)/INCLUDE/arbdb.h
DI_matr.o: $(ARBHOME)/INCLUDE/arbdb_base.h
DI_matr.o: $(ARBHOME)/INCLUDE/arbdbt.h
DI_matr.o: $(ARBHOME)/INCLUDE/arbtools.h
DI_matr.o: $(ARBHOME)/INCLUDE/attributes.h
DI_matr.o: $(ARBHOME)/INCLUDE/aw_awar.hxx
DI_matr.o: $(ARBHOME)/INCLUDE/aw_awar_defs.hxx
DI_matr.o: $(ARBHOME)/INCLUDE/aw_awars.hxx
DI_matr.o: $(ARBHOME)/INCLUDE/aw_base.hxx
DI_matr.o: $(ARBHOME)/INCLUDE/aw_color_groups.hxx
DI_matr.o: $(ARBHOME)/INCLUDE/aw_file.hxx
DI_matr.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
DI_matr.o: $(ARBHOME)/INCLUDE/aw_msg.hxx
DI_matr.o: $(ARBHOME)/INCLUDE/aw_preset.hxx
DI_matr.o: $(ARBHOME)/INCLUDE/aw_root.hxx
DI_matr.o: $(ARBHOME)/INCLUDE/aw_window.hxx
DI_matr.o: $(ARBHOME)/INCLUDE/awt.hxx
DI_matr.o: $(ARBHOME)/INCLUDE/awt_filter.hxx
DI_matr.o: $(ARBHOME)/INCLUDE/awt_sel_boxes.hxx
DI_matr.o: $(ARBHOME)/INCLUDE/awt_TreeAwars.hxx
DI_matr.o: $(ARBHOME)/INCLUDE/BI_helix.hxx
DI_matr.o: $(ARBHOME)/INCLUDE/cb.h
DI_matr.o: $(ARBHOME)/INCLUDE/cb_base.h
DI_matr.o: $(ARBHOME)/INCLUDE/cbtypes.h
DI_matr.o: $(ARBHOME)/INCLUDE/ColumnStat.hxx
DI_matr.o: $(ARBHOME)/INCLUDE/CT_ctree.hxx
DI_matr.o: $(ARBHOME)/INCLUDE/cxxforward.h
DI_matr.o: $(ARBHOME)/INCLUDE/downcast.h
DI_matr.o: $(ARBHOME)/INCLUDE/dupstr.h
DI_matr.o: $(ARBHOME)/INCLUDE/gccver.h
DI_matr.o: $(ARBHOME)/INCLUDE/gui_aliview.hxx
DI_matr.o: $(ARBHOME)/INCLUDE/macros.hxx
DI_matr.o: $(ARBHOME)/INCLUDE/neighbourjoin.hxx
DI_matr.o: $(ARBHOME)/INCLUDE/RootedTree.h
DI_matr.o: $(ARBHOME)/INCLUDE/smartptr.h
DI_matr.o: $(ARBHOME)/INCLUDE/static_assert.h
DI_matr.o: $(ARBHOME)/INCLUDE/test_global.h
DI_matr.o: $(ARBHOME)/INCLUDE/ttypes.h

DI_protdist.o: di_matr.hxx
DI_protdist.o: di_protdist.hxx

=== EDIT4/Makefile ===
# for variables passed from parent makefile see ../SOURCE_TOOLS/parent_make.txt

.SUFFIXES: .o .cxx .depend

SOURCES=$(wildcard *.cxx)
OBJECTS=$(subst .cxx,.o,$(SOURCES))

$(MAIN): $(OBJECTS)
	$(LINK_STATIC_LIB) $(MAIN) $(OBJECTS)

.cxx.o:
	$(A_CXX) $(cflags) $(cxxflags) -c -o $@ $(@:.o=.cxx)  $(CXX_INCLUDES) $(POST_COMPILE)

clean:
	rm -f $(OBJECTS) *.a

DEPENDS = $(OBJECTS:.o=.depend)
depends: $(DEPENDS)
	@cat $(DEPENDS) | grep -v '^#' >>Makefile
	@rm $(DEPENDS)
$(DEPENDS): depend.init
depend.init:
	$(MAKEDEPEND) $(MAKEDEPENDFLAGS) 2>/dev/null # remove dependencies
.c.depend:
	$(MAKEDEPEND) -f- $(MAKEDEPENDFLAGS) $< 2>/dev/null >$@
.cxx.depend:
	$(MAKEDEPEND) -f- $(MAKEDEPENDFLAGS) $< 2>/dev/null >$@

# DO NOT DELETE THIS LINE -- make depend depends on it.

# Do not add dependencies manually - use 'make depend' in $ARBHOME
# For formatting issues see SOURCE_TOOLS/fix_depends.pl (from main)

ED4_base.o: ed4_awars.hxx
ED4_base.o: ed4_class.hxx
ED4_base.o: ed4_defs.hxx
ED4_base.o: ed4_edit_string.hxx
ED4_base.o: ed4_extern.hxx
ED4_base.o: ed4_list.hxx
ED4_base.o: ed4_search.hxx
ED4_base.o: $(ARBHOME)/INCLUDE/ad_cb.h
ED4_base.o: $(ARBHOME)/INCLUDE/ad_cb_prot.h
ED4_base.o: $(ARBHOME)/INCLUDE/ad_prot.h
ED4_base.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
ED4_base.o: $(ARBHOME)/INCLUDE/arb_assert.h
ED4_base.o: $(ARBHOME)/INCLUDE/arb_core.h
ED4_base.o: $(ARBHOME)/INCLUDE/arb_error.h
ED4_base.o: $(ARBHOME)/INCLUDE/arb_msg.h
ED4_base.o: $(ARBHOME)/INCLUDE/arb_progress.h
ED4_base.o: $(ARBHOME)/INCLUDE/arb_string.h
ED4_base.o: $(ARBHOME)/INCLUDE/arbdb.h
ED4_base.o: $(ARBHOME)/INCLUDE/arbdb_base.h
ED4_base.o: $(ARBHOME)/INCLUDE/arbdbt.h
ED4_base.o: $(ARBHOME)/INCLUDE/arbtools.h
ED4_base.o: $(ARBHOME)/INCLUDE/attributes.h
ED4_base.o: $(ARBHOME)/INCLUDE/aw_awar.hxx
ED4_base.o: $(ARBHOME)/INCLUDE/aw_base.hxx
ED4_base.o: $(ARBHOME)/INCLUDE/aw_color_groups.hxx
ED4_base.o: $(ARBHOME)/INCLUDE/aw_device.hxx
ED4_base.o: $(ARBHOME)/INCLUDE/aw_font_group.hxx
ED4_base.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
ED4_base.o: $(ARBHOME)/INCLUDE/aw_msg.hxx
ED4_base.o: $(ARBHOME)/INCLUDE/aw_position.hxx
ED4_base.o: $(ARBHOME)/INCLUDE/aw_preset.hxx
ED4_base.o: $(ARBHOME)/INCLUDE/aw_question.hxx
ED4_base.o: $(ARBHOME)/INCLUDE/aw_root.hxx
ED4_base.o: $(ARBHOME)/INCLUDE/aw_window.hxx
ED4_base.o: $(ARBHOME)/INCLUDE/BI_basepos.hxx
ED4_base.o: $(ARBHOME)/INCLUDE/cb.h
ED4_base.o: $(ARBHOME)/INCLUDE/cb_base.h
ED4_base.o: $(ARBHOME)/INCLUDE/cbtypes.h
ED4_base.o: $(ARBHOME)/INCLUDE/cxxforward.h
ED4_base.o: $(ARBHOME)/INCLUDE/downcast.h
ED4_base.o: $(ARBHOME)/INCLUDE/dupstr.h
ED4_base.o: $(ARBHOME)/INCLUDE/gccver.h
ED4_base.o: $(ARBHOME)/INCLUDE/pos_range.h
ED4_base.o: $(ARBHOME)/INCLUDE/smartptr.h
ED4_base.o: $(ARBHOME)/INCLUDE/static_assert.h
ED4_base.o: $(ARBHOME)/INCLUDE/test_global.h
ED4_base.o: $(ARBHOME)/INCLUDE/ttypes.h

ED4_block.o: ed4_awars.hxx
ED4_block.o: ed4_block.hxx
ED4_block.o: ed4_class.hxx
ED4_block.o: ed4_defs.hxx
ED4_block.o: ed4_edit_string.hxx
ED4_block.o: ed4_list.hxx
ED4_block.o: ed4_search.hxx
ED4_block.o: ed4_tools.hxx
ED4_block.o: $(ARBHOME)/INCLUDE/ad_prot.h
ED4_block.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
ED4_block.o: $(ARBHOME)/INCLUDE/arb_assert.h
ED4_block.o: $(ARBHOME)/INCLUDE/arb_core.h
ED4_block.o: $(ARBHOME)/INCLUDE/arb_error.h
ED4_block.o: $(ARBHOME)/INCLUDE/arb_msg.h
ED4_block.o: $(ARBHOME)/INCLUDE/arb_string.h
ED4_block.o: $(ARBHOME)/INCLUDE/arbdb.h
ED4_block.o: $(ARBHOME)/INCLUDE/arbdb_base.h
ED4_block.o: $(ARBHOME)/INCLUDE/arbdbt.h
ED4_block.o: $(ARBHOME)/INCLUDE/arbtools.h
ED4_block.o: $(ARBHOME)/INCLUDE/attributes.h
ED4_block.o: $(ARBHOME)/INCLUDE/aw_awar.hxx
ED4_block.o: $(ARBHOME)/INCLUDE/aw_awar_defs.hxx
ED4_block.o: $(ARBHOME)/INCLUDE/aw_awars.hxx
ED4_block.o: $(ARBHOME)/INCLUDE/aw_base.hxx
ED4_block.o: $(ARBHOME)/INCLUDE/aw_color_groups.hxx
ED4_block.o: $(ARBHOME)/INCLUDE/aw_device.hxx
ED4_block.o: $(ARBHOME)/INCLUDE/aw_font_group.hxx
ED4_block.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
ED4_block.o: $(ARBHOME)/INCLUDE/aw_msg.hxx
ED4_block.o: $(ARBHOME)/INCLUDE/aw_position.hxx
ED4_block.o: $(ARBHOME)/INCLUDE/aw_root.hxx
ED4_block.o: $(ARBHOME)/INCLUDE/aw_scalar.hxx
ED4_block.o: $(ARBHOME)/INCLUDE/aw_select.hxx
ED4_block.o: $(ARBHOME)/INCLUDE/aw_window.hxx
ED4_block.o: $(ARBHOME)/INCLUDE/awt_sel_boxes.hxx
ED4_block.o: $(ARBHOME)/INCLUDE/BI_basepos.hxx
ED4_block.o: $(ARBHOME)/INCLUDE/cb.h
ED4_block.o: $(ARBHOME)/INCLUDE/cb_base.h
ED4_block.o: $(ARBHOME)/INCLUDE/cbtypes.h
ED4_block.o: $(ARBHOME)/INCLUDE/cxxforward.h
ED4_block.o: $(ARBHOME)/INCLUDE/downcast.h
ED4_block.o: $(ARBHOME)/INCLUDE/dupstr.h
ED4_block.o: $(ARBHOME)/INCLUDE/fast_aligner.hxx
ED4_block.o: $(ARBHOME)/INCLUDE/gccver.h
ED4_block.o: $(ARBHOME)/INCLUDE/pos_range.h
ED4_block.o: $(ARBHOME)/INCLUDE/smartptr.h
ED4_block.o: $(ARBHOME)/INCLUDE/static_assert.h
ED4_block.o: $(ARBHOME)/INCLUDE/test_global.h
ED4_block.o: $(ARBHOME)/INCLUDE/test_unit.h
ED4_block.o: $(ARBHOME)/INCLUDE/ttypes.h

ED4_colStat.o: ed4_class.hxx
ED4_colStat.o: ed4_colStat.hxx
ED4_colStat.o: ed4_defs.hxx
ED4_colStat.o: ed4_extern.hxx
ED4_colStat.o: ed4_search.hxx
ED4_colStat.o: $(ARBHOME)/INCLUDE/arb_assert.h
ED4_colStat.o: $(ARBHOME)/INCLUDE/arb_core.h
ED4_colStat.o: $(ARBHOME)/INCLUDE/arb_error.h
ED4_colStat.o: $(ARBHOME)/INCLUDE/arbdb_base.h
ED4_colStat.o: $(ARBHOME)/INCLUDE/arbtools.h
ED4_colStat.o: $(ARBHOME)/INCLUDE/attributes.h
ED4_colStat.o: $(ARBHOME)/INCLUDE/aw_base.hxx
ED4_colStat.o: $(ARBHOME)/INCLUDE/aw_color_groups.hxx
ED4_colStat.o: $(ARBHOME)/INCLUDE/aw_device.hxx
ED4_colStat.o: $(ARBHOME)/INCLUDE/aw_font_group.hxx
ED4_colStat.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
ED4_colStat.o: $(ARBHOME)/INCLUDE/aw_msg.hxx
ED4_colStat.o: $(ARBHOME)/INCLUDE/aw_position.hxx
ED4_colStat.o: $(ARBHOME)/INCLUDE/aw_root.hxx
ED4_colStat.o: $(ARBHOME)/INCLUDE/aw_window.hxx
ED4_colStat.o: $(ARBHOME)/INCLUDE/BI_basepos.hxx
ED4_colStat.o: $(ARBHOME)/INCLUDE/cb.h
ED4_colStat.o: $(ARBHOME)/INCLUDE/cb_base.h
ED4_colStat.o: $(ARBHOME)/INCLUDE/cbtypes.h
ED4_colStat.o: $(ARBHOME)/INCLUDE/cxxforward.h
ED4_colStat.o: $(ARBHOME)/INCLUDE/downcast.h
ED4_colStat.o: $(ARBHOME)/INCLUDE/dupstr.h
ED4_colStat.o: $(ARBHOME)/INCLUDE/gccver.h
ED4_colStat.o: $(ARBHOME)/INCLUDE/pos_range.h
ED4_colStat.o: $(ARBHOME)/INCLUDE/smartptr.h
ED4_colStat.o: $(ARBHOME)/INCLUDE/st_window.hxx
ED4_colStat.o: $(ARBHOME)/INCLUDE/static_assert.h
ED4_colStat.o: $(ARBHOME)/INCLUDE/test_global.h
ED4_colStat.o: $(ARBHOME)/INCLUDE/ttypes.h

ED4_cursor.o: ed4_awars.hxx
ED4_cursor.o: ed4_class.hxx
ED4_cursor.o: ed4_defs.hxx
ED4_cursor.o: ed4_edit_string.hxx
ED4_cursor.o: ed4_extern.hxx
ED4_cursor.o: ed4_ProteinViewer.hxx
ED4_cursor.o: ed4_search.hxx
ED4_cursor.o: ed4_tools.hxx
ED4_cursor.o: $(ARBHOME)/INCLUDE/ad_prot.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/arb_assert.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/arb_core.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/arb_defs.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/arb_error.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/arb_msg.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/arb_progress.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/arb_strbuf.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/arb_string.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/arbdb.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/arbdb_base.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/arbdbt.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/arbtools.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/attributes.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/aw_awar.hxx
ED4_cursor.o: $(ARBHOME)/INCLUDE/aw_awar_defs.hxx
ED4_cursor.o: $(ARBHOME)/INCLUDE/aw_awars.hxx
ED4_cursor.o: $(ARBHOME)/INCLUDE/aw_base.hxx
ED4_cursor.o: $(ARBHOME)/INCLUDE/aw_color_groups.hxx
ED4_cursor.o: $(ARBHOME)/INCLUDE/aw_device.hxx
ED4_cursor.o: $(ARBHOME)/INCLUDE/aw_font_group.hxx
ED4_cursor.o: $(ARBHOME)/INCLUDE/AW_helix.hxx
ED4_cursor.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
ED4_cursor.o: $(ARBHOME)/INCLUDE/aw_msg.hxx
ED4_cursor.o: $(ARBHOME)/INCLUDE/aw_position.hxx
ED4_cursor.o: $(ARBHOME)/INCLUDE/aw_root.hxx
ED4_cursor.o: $(ARBHOME)/INCLUDE/aw_window.hxx
ED4_cursor.o: $(ARBHOME)/INCLUDE/BI_basepos.hxx
ED4_cursor.o: $(ARBHOME)/INCLUDE/BI_helix.hxx
ED4_cursor.o: $(ARBHOME)/INCLUDE/cb.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/cb_base.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/cbtypes.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/cxxforward.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/downcast.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/dupstr.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/gccver.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/pos_range.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/smartptr.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/static_assert.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/test_global.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/test_helpers.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/test_unit.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/ttypes.h

ED4_dots.o: ed4_class.hxx
ED4_dots.o: ed4_defs.hxx
ED4_dots.o: ed4_dots.hxx
ED4_dots.o: ed4_search.hxx
ED4_dots.o: $(ARBHOME)/INCLUDE/ad_prot.h
ED4_dots.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
ED4_dots.o: $(ARBHOME)/INCLUDE/arb_assert.h
ED4_dots.o: $(ARBHOME)/INCLUDE/arb_core.h
ED4_dots.o: $(ARBHOME)/INCLUDE/arb_error.h
ED4_dots.o: $(ARBHOME)/INCLUDE/arb_msg.h
ED4_dots.o: $(ARBHOME)/INCLUDE/arb_string.h
ED4_dots.o: $(ARBHOME)/INCLUDE/arbdb.h
ED4_dots.o: $(ARBHOME)/INCLUDE/arbdb_base.h
ED4_dots.o: $(ARBHOME)/INCLUDE/arbdbt.h
ED4_dots.o: $(ARBHOME)/INCLUDE/arbtools.h
ED4_dots.o: $(ARBHOME)/INCLUDE/attributes.h
ED4_dots.o: $(ARBHOME)/INCLUDE/aw_awar.hxx
ED4_dots.o: $(ARBHOME)/INCLUDE/aw_base.hxx
ED4_dots.o: $(ARBHOME)/INCLUDE/aw_color_groups.hxx
ED4_dots.o: $(ARBHOME)/INCLUDE/aw_device.hxx
ED4_dots.o: $(ARBHOME)/INCLUDE/aw_font_group.hxx
ED4_dots.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
ED4_dots.o: $(ARBHOME)/INCLUDE/aw_msg.hxx
ED4_dots.o: $(ARBHOME)/INCLUDE/aw_position.hxx
ED4_dots.o: $(ARBHOME)/INCLUDE/aw_root.hxx
ED4_dots.o: $(ARBHOME)/INCLUDE/aw_window.hxx
ED4_dots.o: $(ARBHOME)/INCLUDE/awt_sel_boxes.hxx
ED4_dots.o: $(ARBHOME)/INCLUDE/BI_basepos.hxx
ED4_dots.o: $(ARBHOME)/INCLUDE/cb.h
ED4_dots.o: $(ARBHOME)/INCLUDE/cb_base.h
ED4_dots.o: $(ARBHOME)/INCLUDE/cbtypes.h
ED4_dots.o: $(ARBHOME)/INCLUDE/cxxforward.h
ED4_dots.o: $(ARBHOME)/INCLUDE/downcast.h
ED4_dots.o: $(ARBHOME)/INCLUDE/dupstr.h
ED4_dots.o: $(ARBHOME)/INCLUDE/gccver.h
ED4_dots.o: $(ARBHOME)/INCLUDE/pos_range.h
ED4_dots.o: $(ARBHOME)/INCLUDE/smartptr.h
ED4_dots.o: $(ARBHOME)/INCLUDE/static_assert.h
ED4_dots.o: $(ARBHOME)/INCLUDE/test_global.h
ED4_dots.o: $(ARBHOME)/INCLUDE/ttypes.h

ED4_dump.o: ed4_class.hxx
ED4_dump.o: ed4_defs.hxx
ED4_dump.o: ed4_search.hxx
ED4_dump.o: $(ARBHOME)/INCLUDE/ad_prot.h
ED4_dump.o: $(ARBHOME)/INCLUDE/arb_assert.h
ED4_dump.o: $(ARBHOME)/INCLUDE/arb_core.h
ED4_dump.o: $(ARBHOME)/INCLUDE/arb_error.h
ED4_dump.o: $(ARBHOME)/INCLUDE/arb_msg.h
ED4_dump.o: $(ARBHOME)/INCLUDE/arb_string.h
ED4_dump.o: $(ARBHOME)/INCLUDE/arbdb.h
ED4_dump.o: $(ARBHOME)/INCLUDE/arbdb_base.h
ED4_dump.o: $(ARBHOME)/INCLUDE/arbtools.h
ED4_dump.o: $(ARBHOME)/INCLUDE/attributes.h
ED4_dump.o: $(ARBHOME)/INCLUDE/aw_base.hxx
ED4_dump.o: $(ARBHOME)/INCLUDE/aw_color_groups.hxx
ED4_dump.o: $(ARBHOME)/INCLUDE/aw_device.hxx
ED4_dump.o: $(ARBHOME)/INCLUDE/aw_font_group.hxx
ED4_dump.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
ED4_dump.o: $(ARBHOME)/INCLUDE/aw_position.hxx
ED4_dump.o: $(ARBHOME)/INCLUDE/aw_window.hxx
ED4_dump.o: $(ARBHOME)/INCLUDE/BI_basepos.hxx
ED4_dump.o: $(ARBHOME)/INCLUDE/cb.h
ED4_dump.o: $(ARBHOME)/INCLUDE/cb_base.h
ED4_dump.o: $(ARBHOME)/INCLUDE/cbtypes.h
ED4_dump.o: $(ARBHOME)/INCLUDE/cxxforward.h
ED4_dump.o: $(ARBHOME)/INCLUDE/downcast.h
ED4_dump.o: $(ARBHOME)/INCLUDE/dupstr.h
ED4_dump.o: $(ARBHOME)/INCLUDE/gccver.h
ED4_dump.o: $(ARBHOME)/INCLUDE/pos_range.h
ED4_dump.o: $(ARBHOME)/INCLUDE/smartptr.h
ED4_dump.o: $(ARBHOME)/INCLUDE/static_assert.h
ED4_dump.o: $(ARBHOME)/INCLUDE/test_global.h
ED4_dump.o: $(ARBHOME)/INCLUDE/ttypes.h

ED4_edit_string.o: ed4_awars.hxx
ED4_edit_string.o: ed4_class.hxx
ED4_edit_string.o: ed4_defs.hxx
ED4_edit_string.o: ed4_edit_string.hxx
ED4_edit_string.o: ed4_search.hxx
ED4_edit_string.o: $(ARBHOME)/INCLUDE/ad_prot.h
ED4_edit_string.o: $(ARBHOME)/INCLUDE/ad_t_prot.h

=== GENOM/Makefile ===
# for variables passed from parent makefile see ../SOURCE_TOOLS/parent_make.txt

.SUFFIXES: .o .cxx .c .depend

CPP_OBJECTS =   \
	GEN_interface.o \
	GEN_map.o \
	GEN_graphic.o \
	GEN_gene.o \
	GEN_nds.o \
	GEN_translations.o \
	EXP_interface.o \
	EXP_main.o \

$(MAIN): $(CPP_OBJECTS)
	$(LINK_STATIC_LIB) $(MAIN) $(CPP_OBJECTS)

.cxx.o:
	$(A_CXX) $(cflags) $(cxxflags) -c $< $(CXX_INCLUDES) $(POST_COMPILE)

.c.o:
	$(A_CC) $(cflags) -c $< $(CC_INCLUDES) $(POST_COMPILE)

clean:
	rm -f $(CPP_OBJECTS) *.a

#.IGNORE:
#	clean

DEPENDS = $(CPP_OBJECTS:.o=.depend)
depends: $(DEPENDS)
	@cat $(DEPENDS) | grep -v '^#' >>Makefile
	@rm $(DEPENDS)
$(DEPENDS): depend.init
depend.init:
	$(MAKEDEPEND) $(MAKEDEPENDFLAGS) 2>/dev/null # remove dependencies
.cxx.depend:
	$(MAKEDEPEND) -f- $(MAKEDEPENDFLAGS) $< 2>/dev/null >$@

# DO NOT DELETE THIS LINE -- make depend depends on it.

# Do not add dependencies manually - use 'make depend' in $ARBHOME
# For formatting issues see SOURCE_TOOLS/fix_depends.pl (from main)

EXP_interface.o: EXP.hxx
EXP_interface.o: EXP_local.hxx
EXP_interface.o: GEN.hxx
EXP_interface.o: GEN_local.hxx
EXP_interface.o: $(ARBHOME)/INCLUDE/ad_prot.h
EXP_interface.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
EXP_interface.o: $(ARBHOME)/INCLUDE/arb_assert.h
EXP_interface.o: $(ARBHOME)/INCLUDE/arb_core.h
EXP_interface.o: $(ARBHOME)/INCLUDE/arb_error.h
EXP_interface.o: $(ARBHOME)/INCLUDE/arb_msg.h
EXP_interface.o: $(ARBHOME)/INCLUDE/arb_string.h
EXP_interface.o: $(ARBHOME)/INCLUDE/arb_unordered_map.h
EXP_interface.o: $(ARBHOME)/INCLUDE/arbdb.h
EXP_interface.o: $(ARBHOME)/INCLUDE/arbdb_base.h
EXP_interface.o: $(ARBHOME)/INCLUDE/arbdbt.h
EXP_interface.o: $(ARBHOME)/INCLUDE/arbtools.h
EXP_interface.o: $(ARBHOME)/INCLUDE/attributes.h
EXP_interface.o: $(ARBHOME)/INCLUDE/aw_awar.hxx
EXP_interface.o: $(ARBHOME)/INCLUDE/aw_awar_defs.hxx
EXP_interface.o: $(ARBHOME)/INCLUDE/aw_base.hxx
EXP_interface.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
EXP_interface.o: $(ARBHOME)/INCLUDE/aw_msg.hxx
EXP_interface.o: $(ARBHOME)/INCLUDE/aw_question.hxx
EXP_interface.o: $(ARBHOME)/INCLUDE/aw_root.hxx
EXP_interface.o: $(ARBHOME)/INCLUDE/aw_scalar.hxx
EXP_interface.o: $(ARBHOME)/INCLUDE/aw_select.hxx
EXP_interface.o: $(ARBHOME)/INCLUDE/aw_window.hxx
EXP_interface.o: $(ARBHOME)/INCLUDE/awt_sel_boxes.hxx
EXP_interface.o: $(ARBHOME)/INCLUDE/cb.h
EXP_interface.o: $(ARBHOME)/INCLUDE/cb_base.h
EXP_interface.o: $(ARBHOME)/INCLUDE/cbtypes.h
EXP_interface.o: $(ARBHOME)/INCLUDE/cxxforward.h
EXP_interface.o: $(ARBHOME)/INCLUDE/db_query.h
EXP_interface.o: $(ARBHOME)/INCLUDE/db_scanner.hxx
EXP_interface.o: $(ARBHOME)/INCLUDE/dbui.h
EXP_interface.o: $(ARBHOME)/INCLUDE/downcast.h
EXP_interface.o: $(ARBHOME)/INCLUDE/dupstr.h
EXP_interface.o: $(ARBHOME)/INCLUDE/gccver.h
EXP_interface.o: $(ARBHOME)/INCLUDE/info_window.h
EXP_interface.o: $(ARBHOME)/INCLUDE/item_sel_list.h
EXP_interface.o: $(ARBHOME)/INCLUDE/items.h
EXP_interface.o: $(ARBHOME)/INCLUDE/smartptr.h
EXP_interface.o: $(ARBHOME)/INCLUDE/static_assert.h
EXP_interface.o: $(ARBHOME)/INCLUDE/test_global.h
EXP_interface.o: $(ARBHOME)/INCLUDE/ttypes.h

EXP_main.o: EXP.hxx
EXP_main.o: EXP_local.hxx
EXP_main.o: $(ARBHOME)/INCLUDE/ad_prot.h
EXP_main.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
EXP_main.o: $(ARBHOME)/INCLUDE/arb_assert.h
EXP_main.o: $(ARBHOME)/INCLUDE/arb_core.h
EXP_main.o: $(ARBHOME)/INCLUDE/arb_error.h
EXP_main.o: $(ARBHOME)/INCLUDE/arb_msg.h
EXP_main.o: $(ARBHOME)/INCLUDE/arb_string.h
EXP_main.o: $(ARBHOME)/INCLUDE/arbdb.h
EXP_main.o: $(ARBHOME)/INCLUDE/arbdb_base.h
EXP_main.o: $(ARBHOME)/INCLUDE/arbdbt.h
EXP_main.o: $(ARBHOME)/INCLUDE/arbtools.h
EXP_main.o: $(ARBHOME)/INCLUDE/attributes.h
EXP_main.o: $(ARBHOME)/INCLUDE/aw_awar.hxx
EXP_main.o: $(ARBHOME)/INCLUDE/aw_awar_defs.hxx
EXP_main.o: $(ARBHOME)/INCLUDE/aw_awars.hxx
EXP_main.o: $(ARBHOME)/INCLUDE/aw_base.hxx
EXP_main.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
EXP_main.o: $(ARBHOME)/INCLUDE/aw_root.hxx
EXP_main.o: $(ARBHOME)/INCLUDE/aw_window.hxx
EXP_main.o: $(ARBHOME)/INCLUDE/awt.hxx
EXP_main.o: $(ARBHOME)/INCLUDE/awt_input_mask.hxx
EXP_main.o: $(ARBHOME)/INCLUDE/cb.h
EXP_main.o: $(ARBHOME)/INCLUDE/cb_base.h
EXP_main.o: $(ARBHOME)/INCLUDE/cbtypes.h
EXP_main.o: $(ARBHOME)/INCLUDE/cxxforward.h
EXP_main.o: $(ARBHOME)/INCLUDE/db_query.h
EXP_main.o: $(ARBHOME)/INCLUDE/downcast.h
EXP_main.o: $(ARBHOME)/INCLUDE/dupstr.h
EXP_main.o: $(ARBHOME)/INCLUDE/gccver.h
EXP_main.o: $(ARBHOME)/INCLUDE/items.h
EXP_main.o: $(ARBHOME)/INCLUDE/rootAsWin.h
EXP_main.o: $(ARBHOME)/INCLUDE/smartptr.h
EXP_main.o: $(ARBHOME)/INCLUDE/static_assert.h
EXP_main.o: $(ARBHOME)/INCLUDE/test_global.h
EXP_main.o: $(ARBHOME)/INCLUDE/ttypes.h

GEN_gene.o: GEN.hxx
GEN_gene.o: GEN_gene.hxx
GEN_gene.o: GEN_local.hxx
GEN_gene.o: GEN_nds.hxx
GEN_gene.o: $(ARBHOME)/INCLUDE/ad_prot.h
GEN_gene.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
GEN_gene.o: $(ARBHOME)/INCLUDE/adGene.h
GEN_gene.o: $(ARBHOME)/INCLUDE/arb_assert.h
GEN_gene.o: $(ARBHOME)/INCLUDE/arb_core.h
GEN_gene.o: $(ARBHOME)/INCLUDE/arb_error.h
GEN_gene.o: $(ARBHOME)/INCLUDE/arb_msg.h
GEN_gene.o: $(ARBHOME)/INCLUDE/arb_string.h
GEN_gene.o: $(ARBHOME)/INCLUDE/arbdb.h
GEN_gene.o: $(ARBHOME)/INCLUDE/arbdb_base.h
GEN_gene.o: $(ARBHOME)/INCLUDE/arbdbt.h
GEN_gene.o: $(ARBHOME)/INCLUDE/arbtools.h
GEN_gene.o: $(ARBHOME)/INCLUDE/attributes.h
GEN_gene.o: $(ARBHOME)/INCLUDE/aw_awar.hxx
GEN_gene.o: $(ARBHOME)/INCLUDE/aw_base.hxx
GEN_gene.o: $(ARBHOME)/INCLUDE/aw_msg.hxx
GEN_gene.o: $(ARBHOME)/INCLUDE/aw_position.hxx
GEN_gene.o: $(ARBHOME)/INCLUDE/aw_root.hxx
GEN_gene.o: $(ARBHOME)/INCLUDE/cb.h
GEN_gene.o: $(ARBHOME)/INCLUDE/cb_base.h
GEN_gene.o: $(ARBHOME)/INCLUDE/cbtypes.h
GEN_gene.o: $(ARBHOME)/INCLUDE/cxxforward.h
GEN_gene.o: $(ARBHOME)/INCLUDE/downcast.h
GEN_gene.o: $(ARBHOME)/INCLUDE/dupstr.h
GEN_gene.o: $(ARBHOME)/INCLUDE/gccver.h
GEN_gene.o: $(ARBHOME)/INCLUDE/items.h
GEN_gene.o: $(ARBHOME)/INCLUDE/smartptr.h
GEN_gene.o: $(ARBHOME)/INCLUDE/static_assert.h
GEN_gene.o: $(ARBHOME)/INCLUDE/test_global.h
GEN_gene.o: $(ARBHOME)/INCLUDE/ttypes.h

GEN_graphic.o: GEN.hxx
GEN_graphic.o: GEN_gene.hxx
GEN_graphic.o: GEN_graphic.hxx
GEN_graphic.o: GEN_local.hxx
GEN_graphic.o: $(ARBHOME)/INCLUDE/ad_prot.h
GEN_graphic.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
GEN_graphic.o: $(ARBHOME)/INCLUDE/arb_assert.h
GEN_graphic.o: $(ARBHOME)/INCLUDE/arb_core.h
GEN_graphic.o: $(ARBHOME)/INCLUDE/arb_error.h
GEN_graphic.o: $(ARBHOME)/INCLUDE/arb_msg.h
GEN_graphic.o: $(ARBHOME)/INCLUDE/arb_string.h
GEN_graphic.o: $(ARBHOME)/INCLUDE/arbdb.h
GEN_graphic.o: $(ARBHOME)/INCLUDE/arbdb_base.h
GEN_graphic.o: $(ARBHOME)/INCLUDE/arbdbt.h
GEN_graphic.o: $(ARBHOME)/INCLUDE/arbtools.h
GEN_graphic.o: $(ARBHOME)/INCLUDE/attributes.h
GEN_graphic.o: $(ARBHOME)/INCLUDE/aw_awar.hxx
GEN_graphic.o: $(ARBHOME)/INCLUDE/aw_base.hxx
GEN_graphic.o: $(ARBHOME)/INCLUDE/aw_color_groups.hxx
GEN_graphic.o: $(ARBHOME)/INCLUDE/aw_device.hxx
GEN_graphic.o: $(ARBHOME)/INCLUDE/aw_device_click.hxx
GEN_graphic.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
GEN_graphic.o: $(ARBHOME)/INCLUDE/aw_msg.hxx
GEN_graphic.o: $(ARBHOME)/INCLUDE/aw_position.hxx
GEN_graphic.o: $(ARBHOME)/INCLUDE/aw_preset.hxx
GEN_graphic.o: $(ARBHOME)/INCLUDE/aw_root.hxx
GEN_graphic.o: $(ARBHOME)/INCLUDE/aw_window.hxx
GEN_graphic.o: $(ARBHOME)/INCLUDE/awt_attributes.hxx
GEN_graphic.o: $(ARBHOME)/INCLUDE/awt_canvas.hxx
GEN_graphic.o: $(ARBHOME)/INCLUDE/cb.h
GEN_graphic.o: $(ARBHOME)/INCLUDE/cb_base.h
GEN_graphic.o: $(ARBHOME)/INCLUDE/cbtypes.h
GEN_graphic.o: $(ARBHOME)/INCLUDE/cxxforward.h
GEN_graphic.o: $(ARBHOME)/INCLUDE/downcast.h
GEN_graphic.o: $(ARBHOME)/INCLUDE/dupstr.h
GEN_graphic.o: $(ARBHOME)/INCLUDE/gccver.h
GEN_graphic.o: $(ARBHOME)/INCLUDE/items.h
GEN_graphic.o: $(ARBHOME)/INCLUDE/smartptr.h
GEN_graphic.o: $(ARBHOME)/INCLUDE/static_assert.h
GEN_graphic.o: $(ARBHOME)/INCLUDE/test_global.h
GEN_graphic.o: $(ARBHOME)/INCLUDE/ttypes.h

GEN_interface.o: GEN.hxx
GEN_interface.o: GEN_local.hxx
GEN_interface.o: $(ARBHOME)/INCLUDE/ad_prot.h
GEN_interface.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
GEN_interface.o: $(ARBHOME)/INCLUDE/adGene.h
GEN_interface.o: $(ARBHOME)/INCLUDE/arb_assert.h
GEN_interface.o: $(ARBHOME)/INCLUDE/arb_core.h
GEN_interface.o: $(ARBHOME)/INCLUDE/arb_error.h
GEN_interface.o: $(ARBHOME)/INCLUDE/arb_msg.h
GEN_interface.o: $(ARBHOME)/INCLUDE/arb_strarray.h
GEN_interface.o: $(ARBHOME)/INCLUDE/arb_strbuf.h
GEN_interface.o: $(ARBHOME)/INCLUDE/arb_string.h
GEN_interface.o: $(ARBHOME)/INCLUDE/arb_unordered_map.h
GEN_interface.o: $(ARBHOME)/INCLUDE/arbdb.h
GEN_interface.o: $(ARBHOME)/INCLUDE/arbdb_base.h
GEN_interface.o: $(ARBHOME)/INCLUDE/arbdbt.h
GEN_interface.o: $(ARBHOME)/INCLUDE/arbtools.h
GEN_interface.o: $(ARBHOME)/INCLUDE/attributes.h
GEN_interface.o: $(ARBHOME)/INCLUDE/aw_awar.hxx
GEN_interface.o: $(ARBHOME)/INCLUDE/aw_awar_defs.hxx
GEN_interface.o: $(ARBHOME)/INCLUDE/aw_base.hxx
GEN_interface.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
GEN_interface.o: $(ARBHOME)/INCLUDE/aw_msg.hxx
GEN_interface.o: $(ARBHOME)/INCLUDE/aw_question.hxx
GEN_interface.o: $(ARBHOME)/INCLUDE/aw_root.hxx
GEN_interface.o: $(ARBHOME)/INCLUDE/aw_scalar.hxx
GEN_interface.o: $(ARBHOME)/INCLUDE/aw_select.hxx
GEN_interface.o: $(ARBHOME)/INCLUDE/aw_window.hxx
GEN_interface.o: $(ARBHOME)/INCLUDE/awt_sel_boxes.hxx
GEN_interface.o: $(ARBHOME)/INCLUDE/cb.h
GEN_interface.o: $(ARBHOME)/INCLUDE/cb_base.h
GEN_interface.o: $(ARBHOME)/INCLUDE/cbtypes.h
GEN_interface.o: $(ARBHOME)/INCLUDE/cxxforward.h
GEN_interface.o: $(ARBHOME)/INCLUDE/db_query.h
GEN_interface.o: $(ARBHOME)/INCLUDE/db_scanner.hxx
GEN_interface.o: $(ARBHOME)/INCLUDE/dbui.h
GEN_interface.o: $(ARBHOME)/INCLUDE/downcast.h
GEN_interface.o: $(ARBHOME)/INCLUDE/dupstr.h
GEN_interface.o: $(ARBHOME)/INCLUDE/gccver.h
GEN_interface.o: $(ARBHOME)/INCLUDE/info_window.h
GEN_interface.o: $(ARBHOME)/INCLUDE/item_sel_list.h
GEN_interface.o: $(ARBHOME)/INCLUDE/items.h
GEN_interface.o: $(ARBHOME)/INCLUDE/Location.h
GEN_interface.o: $(ARBHOME)/INCLUDE/smartptr.h
GEN_interface.o: $(ARBHOME)/INCLUDE/static_assert.h
GEN_interface.o: $(ARBHOME)/INCLUDE/test_global.h
GEN_interface.o: $(ARBHOME)/INCLUDE/ttypes.h

GEN_map.o: EXP.hxx
GEN_map.o: EXP_local.hxx
GEN_map.o: GEN.hxx
GEN_map.o: GEN_gene.hxx
GEN_map.o: GEN_graphic.hxx
GEN_map.o: GEN_local.hxx
GEN_map.o: GEN_nds.hxx
GEN_map.o: $(ARBHOME)/INCLUDE/ad_cb.h
GEN_map.o: $(ARBHOME)/INCLUDE/ad_cb_prot.h
GEN_map.o: $(ARBHOME)/INCLUDE/ad_prot.h
GEN_map.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
GEN_map.o: $(ARBHOME)/INCLUDE/adGene.h
GEN_map.o: $(ARBHOME)/INCLUDE/arb_assert.h
GEN_map.o: $(ARBHOME)/INCLUDE/arb_core.h
GEN_map.o: $(ARBHOME)/INCLUDE/arb_error.h
GEN_map.o: $(ARBHOME)/INCLUDE/arb_msg.h
GEN_map.o: $(ARBHOME)/INCLUDE/arb_progress.h
GEN_map.o: $(ARBHOME)/INCLUDE/arb_string.h
GEN_map.o: $(ARBHOME)/INCLUDE/arbdb.h
GEN_map.o: $(ARBHOME)/INCLUDE/arbdb_base.h
GEN_map.o: $(ARBHOME)/INCLUDE/arbdbt.h
GEN_map.o: $(ARBHOME)/INCLUDE/arbtools.h
GEN_map.o: $(ARBHOME)/INCLUDE/attributes.h
GEN_map.o: $(ARBHOME)/INCLUDE/aw_awar.hxx
GEN_map.o: $(ARBHOME)/INCLUDE/aw_awar_defs.hxx
GEN_map.o: $(ARBHOME)/INCLUDE/aw_awars.hxx
GEN_map.o: $(ARBHOME)/INCLUDE/aw_base.hxx
GEN_map.o: $(ARBHOME)/INCLUDE/aw_color_groups.hxx
GEN_map.o: $(ARBHOME)/INCLUDE/aw_device.hxx
GEN_map.o: $(ARBHOME)/INCLUDE/aw_device_click.hxx
GEN_map.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
GEN_map.o: $(ARBHOME)/INCLUDE/aw_msg.hxx
GEN_map.o: $(ARBHOME)/INCLUDE/aw_position.hxx
GEN_map.o: $(ARBHOME)/INCLUDE/aw_preset.hxx
GEN_map.o: $(ARBHOME)/INCLUDE/aw_question.hxx
GEN_map.o: $(ARBHOME)/INCLUDE/AW_rename.hxx
GEN_map.o: $(ARBHOME)/INCLUDE/aw_root.hxx
GEN_map.o: $(ARBHOME)/INCLUDE/aw_window.hxx
GEN_map.o: $(ARBHOME)/INCLUDE/awt.hxx
GEN_map.o: $(ARBHOME)/INCLUDE/awt_canvas.hxx
GEN_map.o: $(ARBHOME)/INCLUDE/awt_input_mask.hxx
GEN_map.o: $(ARBHOME)/INCLUDE/cb.h
GEN_map.o: $(ARBHOME)/INCLUDE/cb_base.h
GEN_map.o: $(ARBHOME)/INCLUDE/cbtypes.h
GEN_map.o: $(ARBHOME)/INCLUDE/cxxforward.h
GEN_map.o: $(ARBHOME)/INCLUDE/db_query.h
GEN_map.o: $(ARBHOME)/INCLUDE/dbui.h
GEN_map.o: $(ARBHOME)/INCLUDE/downcast.h
GEN_map.o: $(ARBHOME)/INCLUDE/dupstr.h

=== debian/changelog ===
arb (6.0.6-5) unstable; urgency=medium

  * Team Upload.
  [ Jelmer Vernooĳ ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.

  [ Andreas Tille ]
  * Standards-Version: 4.2.1
  * Remove trailing whitespace in debian/rules
  * Do not parse d/changelog
  * Fix description
    Closes: #926017
  * d/watch: (FIXME) Add location of new upstream releases as comment
  
  [ Elmar Pruesse ]
  * Fix stripping of static libs

  [ Steffen Möller ]
  * Update metadata with ref to conda
  * Update metadata - updated bio.tools ref to lowercase

  [ Nilesh Patra ]
  * Add patch to fix FTBFS with new glibc, add flags to
    use libtirpc-dev (Closes: #998237)
  * Add B-D on libtirpc-dev

 -- Nilesh Patra <nilesh@debian.org>  Sat, 06 Nov 2021 02:25:36 +0530

arb (6.0.6-4) unstable; urgency=medium

  * Fix symlink
    Closes: #903921
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Tue, 17 Jul 2018 15:47:02 +0200

arb (6.0.6-3) unstable; urgency=medium

  * Add Indonesian debconf translation
    Closes: #862913
  * Standards-Version: 4.1.2

 -- Andreas Tille <tille@debian.org>  Tue, 19 Dec 2017 11:38:55 +0100

arb (6.0.6-2) unstable; urgency=medium

  * Team upload
  * Moved packaging to git
  * d/control: transfig → fig2dev (Closes: #866151)
  * do not create MAFFT symlinks (Closes: #857283)
  * bump standards version

 -- Fabian Klötzl <fabian@kloetzl.info>  Tue, 12 Sep 2017 17:32:11 +0200

arb (6.0.6-1) unstable; urgency=medium

  * New upstream version
  * Update Swedish debconf translation (Thanks to Martin Bagge
    <brother@bsnet.se>)
    Closes: #769879
  * Add Catalan debconf templates translation (Thanks to Innocent De Marchi
    <tangram.peces@gmail.com>)
    Closes: #788004
  * debhelper 10
  * d/watch: version=4
  * d/rules: hardening=+all (but no effect :-()
  * Delete menu file
  * Install arb_CHANGES.txt as upstream changelog

 -- Andreas Tille <tille@debian.org>  Wed, 07 Dec 2016 10:34:07 +0100

arb (6.0.3-2) unstable; urgency=medium

  * Team upload.
  * Fix building with GCC 6.
    - Use correct return type in method definition.
    - Allow for newer __cplusplus versions.
    Closes: #834170
  * Use secure Vcs-Browser.
  * Do not depend on perl-modules.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 17 Sep 2016 10:34:18 +0000

=== debian/control ===
Source: arb
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Elmar Pruesse <elmar@pruesse.net>
Section: non-free/science
XS-Autobuild: yes
Priority: optional
Build-Depends: chrpath,
               debhelper (>= 11~),
               freeglut3-dev | libglu-dev,
               libbio-perl-perl,
               libglew-dev,
               libglib2.0-dev,
               libglw1-mesa-dev,
               libglu1-mesa-dev,
               libmotif-dev,
               libpng-dev,
               libtiff-dev,
               libtirpc-dev,
               libxaw7-dev,
               libxml2-utils,
               libxpm-dev,
               lynx,
               time,
               perl-doc,
               xsltproc,
               xutils-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/med-team/arb
Vcs-Git: https://salsa.debian.org/med-team/arb.git
Homepage: http://www.arb-home.de/

Package: arb
Architecture: amd64 i386 kfreebsd-i386 kfreebsd-amd64
Depends: arb-common (= ${source:Version}),
         fastdnaml,
         libarb (= ${binary:Version}),
         openssh-client,
         mafft,
         mrbayes,
         phylip,
         phyml,
         raxml,
         readseq,
         fig2dev,
         tree-puzzle,
         xdg-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: bioperl,
            xfig
Suggests: arb-database,
          gnuplot,
          gv
Description: phylogenetic sequence analysis suite - main program
 ARB is a graphical suite of tools for sequence database handling and data
 analysis. A central database of processed (aligned) sequences and any
 type of additional data linked to the sequence entries is structured
 according to phylogeny or other user-defined criteria.
 .
 The ARB project (from the Latin "arbor", a tree) is a joint initiative of
 the Lehrstuhl für Mikrobiologie and the LRR of the Technische Universität
 München in 1992.
 Since 2014 the ARB project is continued by the Department of Molecular
 Ecology http://www.mpi-bremen.de/en/Department_of_Molecular_Ecology.html
 at the Max Planck Institute for Marine Microbiology in Bremen in
 cooperation with Ribocon GmbH http://www.ribocon.com .

Package: libarb
Architecture: amd64 i386 kfreebsd-i386 kfreebsd-amd64
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: arb
Description: phylogenetic sequence analysis suite - libraries
 ARB is a graphical suite of tools for sequence database handling and data
 analysis. A central database of processed (aligned) sequences and any
 type of additional data linked to the sequence entries is structured
 according to phylogeny or other user-defined criteria.
 .
 The ARB project (from the Latin "arbor", a tree) is a joint initiative of
 the Lehrstuhl für Mikrobiologie and the LRR of the Technische Universität
 München in 1992.
 Since 2014 the ARB project is continued by the Department of Molecular
 Ecology http://www.mpi-bremen.de/en/Department_of_Molecular_Ecology.html
 at the Max Planck Institute for Marine Microbiology in Bremen in
 cooperation with Ribocon GmbH http://www.ribocon.com .
 .
 This package provides the dynamic libraries which are used by ARB.

Package: libarb-dev
Architecture: amd64 i386 kfreebsd-i386 kfreebsd-amd64
Section: non-free/libdevel
Depends: libarb (= ${binary:Version}),
         ${misc:Depends}
Description: phylogenetic sequence analysis suite - development files
 ARB is a graphical suite of tools for sequence database handling and data
 analysis. A central database of processed (aligned) sequences and any
 type of additional data linked to the sequence entries is structured
 according to phylogeny or other user-defined criteria.
 .
 The ARB project (from the Latin "arbor", a tree) is a joint initiative of
 the Lehrstuhl für Mikrobiologie and the LRR of the Technische Universität
 München in 1992.
 Since 2014 the ARB project is continued by the Department of Molecular
 Ecology http://www.mpi-bremen.de/en/Department_of_Molecular_Ecology.html
 at the Max Planck Institute for Marine Microbiology in Bremen in
 cooperation with Ribocon GmbH http://www.ribocon.com .
 .
 This package provides headers and static libs needed to link against
 libARBDB.

Package: arb-common
Architecture: all
Depends: adduser,
         arb-doc (= ${source:Version}),
         ghostscript | postscript-preview,
         gv | postscript-viewer,
         ${perl:Depends},
         ${misc:Depends}
Recommends: arb
Description: phylogenetic sequence analysis suite - common files
 ARB is a graphical suite of tools for sequence database handling and data
 analysis. A central database of processed (aligned) sequences and any
 type of additional data linked to the sequence entries is structured
 according to phylogeny or other user-defined criteria.
 .
 The ARB project (from the Latin "arbor", a tree) is a joint initiative of
 the Lehrstuhl für Mikrobiologie and the LRR of the Technische Universität
 München in 1992.
 Since 2014 the ARB project is continued by the Department of Molecular
 Ecology http://www.mpi-bremen.de/en/Department_of_Molecular_Ecology.html
 at the Max Planck Institute for Marine Microbiology in Bremen in
 cooperation with Ribocon GmbH http://www.ribocon.com .
 .
 This package provides the architecture independent scripts of ARB.

Package: arb-doc
Architecture: all
Section: non-free/doc
Depends: ghostscript | postscript-preview,
         gv | postscript-viewer,
         ${misc:Depends}
Suggests: arb
Description: phylogenetic sequence analysis suite - documentation
 ARB is a graphical suite of tools for sequence database handling and data
 analysis. A central database of processed (aligned) sequences and any
 type of additional data linked to the sequence entries is structured
 according to phylogeny or other user-defined criteria.
 .
 The ARB project (from the Latin "arbor", a tree) is a joint initiative of
 the Lehrstuhl für Mikrobiologie and the LRR of the Technische Universität
 München in 1992.
 Since 2014 the ARB project is continued by the Department of Molecular
 Ecology http://www.mpi-bremen.de/en/Department_of_Molecular_Ecology.html
 at the Max Planck Institute for Marine Microbiology in Bremen in
 cooperation with Ribocon GmbH http://www.ribocon.com .
 .
 This package provides the documentation for ARB.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for arb using quilt

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk
pkgcom=$(DEB_SOURCE)-common
pkgdoc=$(DEB_SOURCE)-doc
common=debian/$(pkgcom)

ARBHOME=$(CURDIR)

BITARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH_BITS)
ifeq ($(BITARCH),64)
    ARB_64:=1
else
    ARB_64:=0
endif

LD_LIBRARY_PATH := $(ARBHOME)/lib:$(LD_LIBRARY_PATH)
PATH := $(ARBHOME)/bin:$(PATH)
LC_ALL := C

export ARBHOME LD_LIBRARY_PATH PATH LC_ALL
export DEB_CXXFLAGS_MAINT_APPEND=-std=c++98

%:
	dh $@

config.makefile: config.makefile.template
	# ARB's build system is configured with config.makefile. This file is
	# created on the first run of make from config.makefile.template. We
	# just use sed here to set the desired parameters:
	sed -e 's/DEVELOPER := ANY/DEVELOPER := RELEASE/;'\
            -e 's/ARB_64 := 1/ARB_64 := $(ARB_64)/;'\
            -e 's/# DEBIAN := 1/DEBIAN := 1/;' \
             config.makefile.template > config.makefile

override_dh_auto_build:
	$(MAKE) all

override_dh_auto_configure: config.makefile

override_dh_auto_clean: config.makefile
	# config.makefile is required to run make clean, hence the dependency
	# on ..._auto_configure.
	$(MAKE) clean
	rm config.makefile
	# ARB does not have "distclean" or "realclean". Remove some leftovers:
	rm -f UNIT_TESTER/Makefile.setup.local
	find -name \*.log -a ! -name phyml-manual.log -print0 | xargs -0 rm -f
	rm -f TEMPLATES/arb_build.h

override_dh_install:
	# ARB has no "install" target. It has "tarfile_quick", though, which
	# creates a tarball for distribution. We build this and unpack it
	# into debian/tmp so that dh_install can pick up the files.
	make tarfile_quick
	rm -rf debian/tmp
	mkdir debian/tmp
	tar -C debian/tmp -xzf arb.tgz
	rm -rf debian/tmp-dev
	mkdir debian/tmp-dev
	tar -C debian/tmp-dev -xzf arb-dev.tgz
	rm arb.tgz arb-dev.tgz

	# remove some files we don't need in the package:
	rm -rf debian/tmp/lib/addlibs # external libs are packages
	rm  -f debian/tmp/lib/arb_tcp_org.dat # managed in etc
	rm  -f debian/tmp/lib/GPL.txt # included in copyright
	rm  -f debian/tmp/lib/Makefile # spurious in upstream
	rm  -f debian/tmp/arb_install.sh # no installer needed
	rm  -f debian/tmp/arb_INSTALL.txt
	rm  -f debian/tmp/arb_OS_X_MacPorts.txt
	rm  -f debian/tmp/arb_OS_X.txt
	rm  -f debian/tmp/arb_UBUNTU.txt

	dh_install --list-missing

	# the check is needed to make sure it will not fail when doing binary-arch only builds
	if [ -e debian/$(pkgcom)/usr/lib/arb/SH/arb_create_debian_conffile ] ; then \
	    # Move SH/README :to docs \
	    cp -a SH/README debian/$(pkgcom)/usr/share/doc/arb/README_SH ; \
	    # Fix permission of scripts \
	    chmod a+x debian/$(pkgcom)/usr/lib/arb/SH/arb_create_debian_conffile ; \
	    chmod a+x debian/$(pkgcom)/usr/lib/arb/lib/macro.head ; \
	fi

override_dh_strip:
	# Fix rpath issue (once libarb is installed)
	if [ -e debian/libarb/usr/lib/arb/lib/ARB.so ] ; then \
	    chrpath --delete debian/libarb/usr/lib/arb/lib/ARB.so ; \
	fi
	dh_strip
	find debian/libarb-dev -name \*.a -print0 | \
	    xargs -0 -n 1 strip --strip-unneeded \
	                        --remove-section=.comment

override_dh_installchangelogs:
	dh_installchangelogs arb_CHANGES.txt

override_dh_shlibdeps:
	dh_shlibdeps -a -l debian/libarb/usr/lib

override_dh_fixperms:
	dh_fixperms
	-chmod 0644 debian/arb-common/etc/arb/submit/*
	-chmod 0644 debian/libarb-dev/usr/include/arb/xml.hxx
	-chmod 0755 debian/arb-common/usr/lib/arb/lib/macro.head

override_dh_link:
	dh_link
	rm -f debian/arb-common/etc/arb/inputMasks/format.readme
	dh_link -parb-common /usr/lib/arb/lib/help/input_mask_format.hlp /etc/arb/inputMasks/format.readme

# To update po files as recommended in po-debconf(7)
debian/po/templates.pot: debian/arb-common.templates
	@debconf-updatepo

=== debian/watch ===
version=4

# FIXME
# Upstream is doing releases now here
#  http://download.arb-home.de/special/manual-builds/

opts="downloadurlmangle=s{([\d.]+)/$}{$1/arb-$1-source.tgz},filenamemangle=s/\/$/.tgz/" \
   http://download.arb-home.de/release/ arb-(\d+.*)/
